com.collabnet.ce.soap60.webservices.cemain

## Class CollabNetSoapMockStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.ClientSoapMockStub
    - - com.collabnet.ce.soap60.webservices.cemain.CollabNetSoapMockStub

- All Implemented Interfaces:
    ICollabNetSoap

      public class CollabNetSoapMockStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapMockStub
      implements ICollabNetSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollabNetSoapMockStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProjectGroupAdmins(String sessionId, String projectGroupId, String[] usernames)` Simulate a call to addProjectGroupAdmins
    `void` | `addProjectGroupMember(String sessionId, String projectGroupId, String userName)` Simulate a call to addProjectGroupMember
    `void` | `addProjectMember(String sessionId, String projectId, String userName)` Simulate a call to addProjectMember
    `void` | `addProjectsToProjectGroup(String sessionId, String projectGroupId, String[] projectIds)` Simulate a call to addProjectsToProjectGroup
    `void` | `addUserGroupMember(String sessionId, String userGroupId, String userName)` Simulate a call to addUserGroupMember
    `boolean` | `canGiveFullUserDetails(com.vasoftware.sf.server.services.user.UserDO viewedUserDO, String loggedInUser)` Simulate a call to canGiveFullUserDetails
    `boolean` | `canReceiveOwnUpdates(String sessionId)` Simulate a call to canReceiveOwnUpdates
    `void` | `changeIAObjectTitle(String sessionId, String pluggableObjectId, String pluggableObjectTitle)` Simulate a call to changeIAObjectTitle
    `boolean` | `changePassword(String sessionId, String userName, String newPassword)` Simulate a call to changePassword
    `void` | `checkPermissionsToChangePassword(String userName, String loggedInUser)` Simulate a call to checkPermissionsToChangePassword
    `void` | `checkUserActiveStatus(String userName, String loggedInUser)` Simulate a call to checkUserActiveStatus
    `void` | `createAssociation(String sessionId, String originId, String targetId, String description)` Simulate a call to createAssociation
    `void` | `createAssociationWithTitles(String sessionId, String originId, String originTitle, String targetId, String targetTitle, String description)` Simulate a call to createAssociationWithTitles
    `String` | `createLinkedApp(String sessionId, String projectId, String title, String applicationUrl, String iconKey, String iconFileName, String iconMimeType, boolean singleSignon, String applicationType, String toolId)` Simulate a call to createLinkedApp
    `ProjectSoapDO` | `createOrReplaceProjectTemplate(String sessionId, String projectId, String title, String description, String[] contentChoices, String templateId)` Simulate a call to createOrReplaceProjectTemplate
    `ProjectSoapDO` | `createProject(String sessionId, String name, String title, String description)` Simulate a call to createProject
    `ProjectSoapDO` | `createProjectFromTemplate(String sessionId, String templateId, String name, String title, String description)` Simulate a call to createProjectFromTemplate
    `ProjectGroupSoapDO` | `createProjectGroup(String sessionId, String title, String description)` Simulate a call to createProjectGroup
    `String` | `createProjectLinkedApp(String sessionId, String projectId, String title, String applicationUrl, String iconKey, String iconFileName, String iconMimeType, boolean singleSignon)` Simulate a call to createProjectLinkedApp
    `String` | `createProjectLinkedApp2(String sessionId, String projectId, String title, String applicationUrl, String iconKey, String iconFileName, String iconMimeType, boolean singleSignon, String toolId)` Simulate a call to createProjectLinkedApp2
    `String` | `createSiteWideLinkedApp(String sessionId, String title, String applicationUrl, String applicationType, boolean singleSignon)` Simulate a call to createSiteWideLinkedApp
    `UserSoapDO` | `createUser(String sessionId, String userName, String email, String fullName, String organization, String locale, String timeZone, String licenseType, boolean isSuperUser, boolean isRestrictedUser, String password)` Simulate a call to createUser
    `UserGroupSoapDO` | `createUserGroup(String sessionId, String fullName, String description)` Simulate a call to createUserGroup
    `void` | `deleteAssociation(String sessionId, String originId, String targetId)` Simulate a call to deleteAssociation
    `void` | `deleteAttachment(String sessionId, String objectId, String attachmentId)` Simulate a call to deleteAttachment
    `void` | `deleteLinkedApp(String sessionId, String linkedAppId)` Simulate a call to deleteLinkedApp
    `void` | `deleteProject(String sessionId, String projectId, boolean noNotification, boolean forceDeleteEvenIfChildFound)` Simulate a call to deleteProject
    `void` | `deleteProjectGroup(String sessionId, String projectGroupId, boolean forceDeleteEvenIfMemberProjectFound)` Simulate a call to deleteProjectGroup
    `void` | `deleteUserGroup(String sessionId, String groupId)` Simulate a call to deleteUserGroup
    `String` | `doMandatoryPasswordChange(String userName, String oldPassword, String newPassword)` Simulate a call to doMandatoryPasswordChange
    `void` | `enableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO projectDO, String loggedInUser)` Simulate a call to enableOrchestrateComponent
    `ProjectSoapList` | `findProjects(String sessionId, String queryString)` Simulate a call to findProjects
    `UserSoapList` | `findUsers(String sessionId, String queryString)` Simulate a call to findUsers
    `String` | `getApiVersion()` Simulate a call to getApiVersion
    `AssociationSoapList` | `getAssociationList(String sessionId, String objectId)` Simulate a call to getAssociationList
    `AuditHistorySoapList` | `getAuditHistoryList(String sessionId, String objectId, boolean includeDerivedChanges)` Simulate a call to getAuditHistoryList
    `String` | `getBroadCastMessage(String sessionId)` Simulate a call to getBroadCastMessage
    `CommentSoapList` | `getCommentList(String sessionId, String objectId)` Simulate a call to getCommentList
    `String` | `getConfigurationValue(String sessionId, String keyValue)` Simulate a call to getConfigurationValue
    `long` | `getCurrentTime(String sessionId)` Simulate a call to getCurrentTime
    `UserSoapDO` | `getCurrentUserData(String sessionId)` Simulate a call to getCurrentUserData
    `com.vasoftware.sf.server.services.filestorage.StoredFileDO` | `getIconFile(String iconKey, String iconFileName, String iconMimeType, String loggedInUser)` Simulate a call to getIconFile
    `String` | `getJSessionBySoapId(String soapId)` Simulate a call to getJSessionBySoapId
    `String` | `getJSessionId(String oneTimeToken)` Simulate a call to getJSessionId
    `String` | `getJSessionId(String oneTimeToken, boolean invalidateToken)` Simulate a call to getJSessionId
    `LinkedApplicationSoapDO` | `getLinkedApplicationData(String sessionId, String linkedAppId)` Simulate a call to getLinkedApplicationData
    `LinkedApplication2SoapDO` | `getLinkedApplicationData2(String sessionId, String linkedAppId)` Simulate a call to getLinkedApplicationData2
    `ProjectSoapList` | `getMemberProjectsForProjectGroup(String sessionId, String projectGroupId)` Simulate a call to getMemberProjectsForProjectGroup
    `String` | `getOneTimeToken(String sessionId)` Simulate a call to getOneTimeToken
    `String` | `getPasswordRequirements(String loggedInUser)` Simulate a call to getPasswordRequirements
    `int` | `getProjectAccessLevel(String sessionId, String projectId)` Simulate a call to getProjectAccessLevel
    `ProjectSoapDO` | `getProjectByPath(String sessionId, String projectPath)` Simulate a call to getProjectByPath
    `ProjectSoapDO` | `getProjectData(String sessionId, String projectId)` Simulate a call to getProjectData
    `long` | `getProjectDiskUsage(String sessionId, String projectId)` Simulate a call to getProjectDiskUsage
    `ProjectGroupSoapDO` | `getProjectGroupData(String sessionId, String projectGroupId)` Simulate a call to getProjectGroupData
    `ProjectGroupMemberSoapList` | `getProjectGroupMemberList(String sessionId, String projectGroupId)` Simulate a call to getProjectGroupMemberList
    `ProjectGroupSoapList` | `getProjectGroupsForProject(String sessionId, String projectId)` Simulate a call to getProjectGroupsForProject
    `ProjectGroupSoapList` | `getProjectGroupsForProject1(String sessionId, String projectId)` Simulate a call to getProjectGroupsForProject1
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getProjectHierarchyPaths(String sessionId, String[] projectIds)` Simulate a call to getProjectHierarchyPaths
    `String` | `getProjectIdForLinkedApp(String projectId, String loggedInUser)` Simulate a call to getProjectIdForLinkedApp
    `ProjectSoapList` | `getProjectList(String sessionId, boolean fetchHierarchyPath)` Simulate a call to getProjectList
    `ProjectSoapList` | `getProjectListForUser(String sessionId, String username, boolean fetchHierarchyPath, boolean includeGroupMembership)` Simulate a call to getProjectListForUser
    `ProjectMemberSoapList` | `getProjectMemberList(String sessionId, String projectId)` Simulate a call to getProjectMemberList
    `long` | `getProjectQuota(String sessionId, String projectId)` Simulate a call to getProjectQuota
    `com.vasoftware.sf.common.access.rbac.Operation` | `getRbacOperation(com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation operation, boolean isSiteWide)` Simulate a call to getRbacOperation
    `String` | `getSessionId(String oneTimeToken)` Simulate a call to getSessionId
    `String` | `getSessionId(String oneTimeToken, boolean invalidateToken)` Simulate a call to getSessionId
    `ProjectSoapList` | `getSubprojectList(String sessionId, String projectId, boolean fetchHierarchyPath)` Simulate a call to getSubprojectList
    `UserSoapDO` | `getUserByEmail(String sessionId, String email)` Simulate a call to getUserByEmail
    `UserSoapDO` | `getUserByName(String sessionId, String fullname)` Simulate a call to getUserByName
    `UserSoapDO` | `getUserData(String sessionId, String username)` Simulate a call to getUserData
    `User2SoapDO` | `getUserData2(String sessionId, String username)` Simulate a call to getUserData2
    `String` | `getUserEffectiveMode(String sessionId)` Simulate a call to getUserEffectiveMode
    `UserGroupSoapDO` | `getUserGroupData(String sessionId, String groupId)` Simulate a call to getUserGroupData
    `UserGroupSoapList` | `getUserGroupList(String sessionId)` Simulate a call to getUserGroupList
    `UserGroupSoapList` | `getUserGroupListForProject(String sessionId, String projectOrProjectGroupId)` Simulate a call to getUserGroupListForProject
    `UserGroupSoapList` | `getUserGroupListForUser(String sessionId, String username)` Simulate a call to getUserGroupListForUser
    `UserSoapList` | `getUserGroupMembers(String sessionId, String groupId)` Simulate a call to getUserGroupMembers
    `UserSoapList` | `getUserList(String sessionId, com.collabnet.ce.soap60.types.SoapFilter soapFilter)` Simulate a call to getUserList
    `User2SoapList` | `getUserList2(String sessionId, com.collabnet.ce.soap60.types.SoapFilter soapFilter)` Simulate a call to getUserList2
    `String` | `getUserSessionBySoapId(String soapId)` Simulate a call to getUserSessionBySoapId
    `String` | `getVersion(String sessionId)` Simulate a call to getVersion
    `VersionInformationSoapList` | `getVersionInformationList(String sessionId, String folderId)` Simulate a call to getVersionInformationList
    `String` | `getWebAndSoapSessionId(String oneTimeToken)` Simulate a call to getWebAndSoapSessionId
    `boolean` | `hasGeneralPermission(String sessionId, String username, String projectId, String operationString, String objectId)` Simulate a call to hasGeneralPermission
    `boolean` | `hasPermission(String sessionId, String username, String projectId, String operationString, String objectId)` Simulate a call to hasPermission
    `boolean` | `hasPermission2(String sessionId, String projectId, String operationString, String objectId)` Simulate a call to hasPermission2
    `boolean` | `hasSitewideRolePermission(String sessionId, String operationString)` Simulate a call to hasSitewideRolePermission
    `boolean` | `isHostedMode(String sessionId)` Simulate a call to isHostedMode
    `boolean` | `isSoapRedirectPostOnlyMode(String sessionId)` Simulate a call to isSoapRedirectPostOnlyMode
    `void` | `keepAlive(String sessionId)` Simulate a call to keepAlive
    `AttachmentSoapList` | `listAttachments(String sessionId, String objectId)` Simulate a call to listAttachments
    `UserGroupSoapList` | `listGroupsWithGeneralPermission(String sessionId, String projectId, String operationString, String folderId, boolean includeInherited)` Simulate a call to listGroupsWithGeneralPermission
    `LinkedApplicationSoapList` | `listLinkedApps(String sessionId, String projectId)` Simulate a call to listLinkedApps
    `LinkedApplication2SoapList` | `listLinkedApps2(String sessionId, String projectId)` Simulate a call to listLinkedApps2
    `UserSoapList` | `listProjectAdmins(String sessionId, String projectId)` Simulate a call to listProjectAdmins
    `ProjectGroupSoapList` | `listProjectGroups(String sessionId)` Simulate a call to listProjectGroups
    `LinkedApplicationSoapList` | `listProjectLinkedApps(String sessionId, String projectId)` Simulate a call to listProjectLinkedApps
    `LinkedApplication2SoapList` | `listProjectLinkedApps2(String sessionId, String projectId)` Simulate a call to listProjectLinkedApps2
    `LinkedApplicationSoapList` | `listSiteWideLinkedApps(String sessionId)` Simulate a call to listSiteWideLinkedApps
    `ProjectSoapList` | `listTemplates(String sessionId)` Simulate a call to listTemplates
    `UserSoapList` | `listUsersWithGeneralPermission(String sessionId, String projectId, String operationString, String folderId)` Simulate a call to listUsersWithGeneralPermission
    `UserSoapList` | `listUsersWithPermissionOnObject(String sessionId, String operationString, String objectId, int flag)` Simulate a call to listUsersWithPermissionOnObject
    `ProjectSoapDO` | `lockProject(String sessionId, String projectId)` Simulate a call to lockProject
    `String` | `login(String userName, String password)` Simulate a call to login
    `String` | `login(String userName, String password, boolean ignorePasswordExpiry)` Simulate a call to login
    `String` | `loginAnonymous(String anonSharedSecret)` Simulate a call to loginAnonymous
    `String` | `loginWithToken(String username, String oneTimeToken)` Simulate a call to loginWithToken
    `void` | `logoff(String userName, String sessionId)` Simulate a call to logoff
    `void` | `prepareAddProjectGroupAdmins(String sessionId, String projectGroupId, String[] usernames)` Prepare a simulated response to addProjectGroupAdmins
    `void` | `prepareAddProjectGroupAdmins(String sessionId, String projectGroupId, String[] usernames, Exception exception)` Prepare a simulated response to addProjectGroupAdmins
    `void` | `prepareAddProjectGroupMember(String sessionId, String projectGroupId, String userName)` Prepare a simulated response to addProjectGroupMember
    `void` | `prepareAddProjectGroupMember(String sessionId, String projectGroupId, String userName, Exception exception)` Prepare a simulated response to addProjectGroupMember
    `void` | `prepareAddProjectMember(String sessionId, String projectId, String userName)` Prepare a simulated response to addProjectMember
    `void` | `prepareAddProjectMember(String sessionId, String projectId, String userName, Exception exception)` Prepare a simulated response to addProjectMember
    `void` | `prepareAddProjectsToProjectGroup(String sessionId, String projectGroupId, String[] projectIds)` Prepare a simulated response to addProjectsToProjectGroup
    `void` | `prepareAddProjectsToProjectGroup(String sessionId, String projectGroupId, String[] projectIds, Exception exception)` Prepare a simulated response to addProjectsToProjectGroup
    `void` | `prepareAddUserGroupMember(String sessionId, String userGroupId, String userName)` Prepare a simulated response to addUserGroupMember
    `void` | `prepareAddUserGroupMember(String sessionId, String userGroupId, String userName, Exception exception)` Prepare a simulated response to addUserGroupMember
    `void` | `prepareCanGiveFullUserDetails(com.vasoftware.sf.server.services.user.UserDO viewedUserDO, String loggedInUser, Object returnValue)` Prepare a simulated response to canGiveFullUserDetails
    `void` | `prepareCanReceiveOwnUpdates(String sessionId, Object returnValue)` Prepare a simulated response to canReceiveOwnUpdates
    `void` | `prepareChangeIAObjectTitle(String sessionId, String pluggableObjectId, String pluggableObjectTitle)` Prepare a simulated response to changeIAObjectTitle
    `void` | `prepareChangeIAObjectTitle(String sessionId, String pluggableObjectId, String pluggableObjectTitle, Exception exception)` Prepare a simulated response to changeIAObjectTitle
    `void` | `prepareChangePassword(String sessionId, String userName, String newPassword, Object returnValue)` Prepare a simulated response to changePassword
    `void` | `prepareCheckPermissionsToChangePassword(String userName, String loggedInUser)` Prepare a simulated response to checkPermissionsToChangePassword
    `void` | `prepareCheckPermissionsToChangePassword(String userName, String loggedInUser, Exception exception)` Prepare a simulated response to checkPermissionsToChangePassword
    `void` | `prepareCheckUserActiveStatus(String userName, String loggedInUser)` Prepare a simulated response to checkUserActiveStatus
    `void` | `prepareCheckUserActiveStatus(String userName, String loggedInUser, Exception exception)` Prepare a simulated response to checkUserActiveStatus
    `void` | `prepareCreateAssociation(String sessionId, String originId, String targetId, String description)` Prepare a simulated response to createAssociation
    `void` | `prepareCreateAssociation(String sessionId, String originId, String targetId, String description, Exception exception)` Prepare a simulated response to createAssociation
    `void` | `prepareCreateAssociationWithTitles(String sessionId, String originId, String originTitle, String targetId, String targetTitle, String description)` Prepare a simulated response to createAssociationWithTitles
    `void` | `prepareCreateAssociationWithTitles(String sessionId, String originId, String originTitle, String targetId, String targetTitle, String description, Exception exception)` Prepare a simulated response to createAssociationWithTitles
    `void` | `prepareCreateLinkedApp(String sessionId, String projectId, String title, String applicationUrl, String iconKey, String iconFileName, String iconMimeType, boolean singleSignon, String applicationType, String toolId, Object returnValue)` Prepare a simulated response to createLinkedApp
    `void` | `prepareCreateOrReplaceProjectTemplate(String sessionId, String projectId, String title, String description, String[] contentChoices, String templateId, Object returnValue)` Prepare a simulated response to createOrReplaceProjectTemplate
    `void` | `prepareCreateProject(String sessionId, String name, String title, String description, Object returnValue)` Prepare a simulated response to createProject
    `void` | `prepareCreateProjectFromTemplate(String sessionId, String templateId, String name, String title, String description, Object returnValue)` Prepare a simulated response to createProjectFromTemplate
    `void` | `prepareCreateProjectGroup(String sessionId, String title, String description, Object returnValue)` Prepare a simulated response to createProjectGroup
    `void` | `prepareCreateProjectLinkedApp(String sessionId, String projectId, String title, String applicationUrl, String iconKey, String iconFileName, String iconMimeType, boolean singleSignon, Object returnValue)` Prepare a simulated response to createProjectLinkedApp
    `void` | `prepareCreateProjectLinkedApp2(String sessionId, String projectId, String title, String applicationUrl, String iconKey, String iconFileName, String iconMimeType, boolean singleSignon, String toolId, Object returnValue)` Prepare a simulated response to createProjectLinkedApp2
    `void` | `prepareCreateSiteWideLinkedApp(String sessionId, String title, String applicationUrl, String applicationType, boolean singleSignon, Object returnValue)` Prepare a simulated response to createSiteWideLinkedApp
    `void` | `prepareCreateUser(String sessionId, String userName, String email, String fullName, String organization, String locale, String timeZone, String licenseType, boolean isSuperUser, boolean isRestrictedUser, String password, Object returnValue)` Prepare a simulated response to createUser
    `void` | `prepareCreateUserGroup(String sessionId, String fullName, String description, Object returnValue)` Prepare a simulated response to createUserGroup
    `void` | `prepareDeleteAssociation(String sessionId, String originId, String targetId)` Prepare a simulated response to deleteAssociation
    `void` | `prepareDeleteAssociation(String sessionId, String originId, String targetId, Exception exception)` Prepare a simulated response to deleteAssociation
    `void` | `prepareDeleteAttachment(String sessionId, String objectId, String attachmentId)` Prepare a simulated response to deleteAttachment
    `void` | `prepareDeleteAttachment(String sessionId, String objectId, String attachmentId, Exception exception)` Prepare a simulated response to deleteAttachment
    `void` | `prepareDeleteLinkedApp(String sessionId, String linkedAppId)` Prepare a simulated response to deleteLinkedApp
    `void` | `prepareDeleteLinkedApp(String sessionId, String linkedAppId, Exception exception)` Prepare a simulated response to deleteLinkedApp
    `void` | `prepareDeleteProject(String sessionId, String projectId, boolean noNotification, boolean forceDeleteEvenIfChildFound)` Prepare a simulated response to deleteProject
    `void` | `prepareDeleteProject(String sessionId, String projectId, boolean noNotification, boolean forceDeleteEvenIfChildFound, Exception exception)` Prepare a simulated response to deleteProject
    `void` | `prepareDeleteProjectGroup(String sessionId, String projectGroupId, boolean forceDeleteEvenIfMemberProjectFound)` Prepare a simulated response to deleteProjectGroup
    `void` | `prepareDeleteProjectGroup(String sessionId, String projectGroupId, boolean forceDeleteEvenIfMemberProjectFound, Exception exception)` Prepare a simulated response to deleteProjectGroup
    `void` | `prepareDeleteUserGroup(String sessionId, String groupId)` Prepare a simulated response to deleteUserGroup
    `void` | `prepareDeleteUserGroup(String sessionId, String groupId, Exception exception)` Prepare a simulated response to deleteUserGroup
    `void` | `prepareDoMandatoryPasswordChange(String userName, String oldPassword, String newPassword, Object returnValue)` Prepare a simulated response to doMandatoryPasswordChange
    `void` | `prepareEnableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO projectDO, String loggedInUser)` Prepare a simulated response to enableOrchestrateComponent
    `void` | `prepareEnableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO projectDO, String loggedInUser, Exception exception)` Prepare a simulated response to enableOrchestrateComponent
    `void` | `prepareFindProjects(String sessionId, String queryString, Object returnValue)` Prepare a simulated response to findProjects
    `void` | `prepareFindUsers(String sessionId, String queryString, Object returnValue)` Prepare a simulated response to findUsers
    `void` | `prepareGetApiVersion(Object returnValue)` Prepare a simulated response to getApiVersion
    `void` | `prepareGetAssociationList(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to getAssociationList
    `void` | `prepareGetAuditHistoryList(String sessionId, String objectId, boolean includeDerivedChanges, Object returnValue)` Prepare a simulated response to getAuditHistoryList
    `void` | `prepareGetBroadCastMessage(String sessionId, Object returnValue)` Prepare a simulated response to getBroadCastMessage
    `void` | `prepareGetCommentList(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to getCommentList
    `void` | `prepareGetConfigurationValue(String sessionId, String keyValue, Object returnValue)` Prepare a simulated response to getConfigurationValue
    `void` | `prepareGetCurrentTime(String sessionId, Object returnValue)` Prepare a simulated response to getCurrentTime
    `void` | `prepareGetCurrentUserData(String sessionId, Object returnValue)` Prepare a simulated response to getCurrentUserData
    `void` | `prepareGetIconFile(String iconKey, String iconFileName, String iconMimeType, String loggedInUser, Object returnValue)` Prepare a simulated response to getIconFile
    `void` | `prepareGetJSessionBySoapId(String soapId, Object returnValue)` Prepare a simulated response to getJSessionBySoapId
    `void` | `prepareGetJSessionId(String oneTimeToken, boolean invalidateToken, Object returnValue)` Prepare a simulated response to getJSessionId
    `void` | `prepareGetJSessionId(String oneTimeToken, Object returnValue)` Prepare a simulated response to getJSessionId
    `void` | `prepareGetLinkedApplicationData(String sessionId, String linkedAppId, Object returnValue)` Prepare a simulated response to getLinkedApplicationData
    `void` | `prepareGetLinkedApplicationData2(String sessionId, String linkedAppId, Object returnValue)` Prepare a simulated response to getLinkedApplicationData2
    `void` | `prepareGetMemberProjectsForProjectGroup(String sessionId, String projectGroupId, Object returnValue)` Prepare a simulated response to getMemberProjectsForProjectGroup
    `void` | `prepareGetOneTimeToken(String sessionId, Object returnValue)` Prepare a simulated response to getOneTimeToken
    `void` | `prepareGetPasswordRequirements(String loggedInUser, Object returnValue)` Prepare a simulated response to getPasswordRequirements
    `void` | `prepareGetProjectAccessLevel(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectAccessLevel
    `void` | `prepareGetProjectByPath(String sessionId, String projectPath, Object returnValue)` Prepare a simulated response to getProjectByPath
    `void` | `prepareGetProjectData(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectData
    `void` | `prepareGetProjectDiskUsage(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectDiskUsage
    `void` | `prepareGetProjectGroupData(String sessionId, String projectGroupId, Object returnValue)` Prepare a simulated response to getProjectGroupData
    `void` | `prepareGetProjectGroupMemberList(String sessionId, String projectGroupId, Object returnValue)` Prepare a simulated response to getProjectGroupMemberList
    `void` | `prepareGetProjectGroupsForProject(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectGroupsForProject
    `void` | `prepareGetProjectGroupsForProject1(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectGroupsForProject1
    `void` | `prepareGetProjectHierarchyPaths(String sessionId, String[] projectIds, Object returnValue)` Prepare a simulated response to getProjectHierarchyPaths
    `void` | `prepareGetProjectIdForLinkedApp(String projectId, String loggedInUser, Object returnValue)` Prepare a simulated response to getProjectIdForLinkedApp
    `void` | `prepareGetProjectList(String sessionId, boolean fetchHierarchyPath, Object returnValue)` Prepare a simulated response to getProjectList
    `void` | `prepareGetProjectListForUser(String sessionId, String username, boolean fetchHierarchyPath, boolean includeGroupMembership, Object returnValue)` Prepare a simulated response to getProjectListForUser
    `void` | `prepareGetProjectMemberList(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectMemberList
    `void` | `prepareGetProjectQuota(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to getProjectQuota
    `void` | `prepareGetRbacOperation(com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation operation, boolean isSiteWide, Object returnValue)` Prepare a simulated response to getRbacOperation
    `void` | `prepareGetSessionId(String oneTimeToken, boolean invalidateToken, Object returnValue)` Prepare a simulated response to getSessionId
    `void` | `prepareGetSessionId(String oneTimeToken, Object returnValue)` Prepare a simulated response to getSessionId
    `void` | `prepareGetSubprojectList(String sessionId, String projectId, boolean fetchHierarchyPath, Object returnValue)` Prepare a simulated response to getSubprojectList
    `void` | `prepareGetUserByEmail(String sessionId, String email, Object returnValue)` Prepare a simulated response to getUserByEmail
    `void` | `prepareGetUserByName(String sessionId, String fullname, Object returnValue)` Prepare a simulated response to getUserByName
    `void` | `prepareGetUserData(String sessionId, String username, Object returnValue)` Prepare a simulated response to getUserData
    `void` | `prepareGetUserData2(String sessionId, String username, Object returnValue)` Prepare a simulated response to getUserData2
    `void` | `prepareGetUserEffectiveMode(String sessionId, Object returnValue)` Prepare a simulated response to getUserEffectiveMode
    `void` | `prepareGetUserGroupData(String sessionId, String groupId, Object returnValue)` Prepare a simulated response to getUserGroupData
    `void` | `prepareGetUserGroupList(String sessionId, Object returnValue)` Prepare a simulated response to getUserGroupList
    `void` | `prepareGetUserGroupListForProject(String sessionId, String projectOrProjectGroupId, Object returnValue)` Prepare a simulated response to getUserGroupListForProject
    `void` | `prepareGetUserGroupListForUser(String sessionId, String username, Object returnValue)` Prepare a simulated response to getUserGroupListForUser
    `void` | `prepareGetUserGroupMembers(String sessionId, String groupId, Object returnValue)` Prepare a simulated response to getUserGroupMembers
    `void` | `prepareGetUserList(String sessionId, com.collabnet.ce.soap60.types.SoapFilter soapFilter, Object returnValue)` Prepare a simulated response to getUserList
    `void` | `prepareGetUserList2(String sessionId, com.collabnet.ce.soap60.types.SoapFilter soapFilter, Object returnValue)` Prepare a simulated response to getUserList2
    `void` | `prepareGetUserSessionBySoapId(String soapId, Object returnValue)` Prepare a simulated response to getUserSessionBySoapId
    `void` | `prepareGetVersion(String sessionId, Object returnValue)` Prepare a simulated response to getVersion
    `void` | `prepareGetVersionInformationList(String sessionId, String folderId, Object returnValue)` Prepare a simulated response to getVersionInformationList
    `void` | `prepareGetWebAndSoapSessionId(String oneTimeToken, Object returnValue)` Prepare a simulated response to getWebAndSoapSessionId
    `void` | `prepareHasGeneralPermission(String sessionId, String username, String projectId, String operationString, String objectId, Object returnValue)` Prepare a simulated response to hasGeneralPermission
    `void` | `prepareHasPermission(String sessionId, String username, String projectId, String operationString, String objectId, Object returnValue)` Prepare a simulated response to hasPermission
    `void` | `prepareHasPermission2(String sessionId, String projectId, String operationString, String objectId, Object returnValue)` Prepare a simulated response to hasPermission2
    `void` | `prepareHasSitewideRolePermission(String sessionId, String operationString, Object returnValue)` Prepare a simulated response to hasSitewideRolePermission
    `void` | `prepareIsHostedMode(String sessionId, Object returnValue)` Prepare a simulated response to isHostedMode
    `void` | `prepareIsSoapRedirectPostOnlyMode(String sessionId, Object returnValue)` Prepare a simulated response to isSoapRedirectPostOnlyMode
    `void` | `prepareKeepAlive(String sessionId)` Prepare a simulated response to keepAlive
    `void` | `prepareKeepAlive(String sessionId, Exception exception)` Prepare a simulated response to keepAlive
    `void` | `prepareListAttachments(String sessionId, String objectId, Object returnValue)` Prepare a simulated response to listAttachments
    `void` | `prepareListGroupsWithGeneralPermission(String sessionId, String projectId, String operationString, String folderId, boolean includeInherited, Object returnValue)` Prepare a simulated response to listGroupsWithGeneralPermission
    `void` | `prepareListLinkedApps(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listLinkedApps
    `void` | `prepareListLinkedApps2(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listLinkedApps2
    `void` | `prepareListProjectAdmins(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listProjectAdmins
    `void` | `prepareListProjectGroups(String sessionId, Object returnValue)` Prepare a simulated response to listProjectGroups
    `void` | `prepareListProjectLinkedApps(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listProjectLinkedApps
    `void` | `prepareListProjectLinkedApps2(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to listProjectLinkedApps2
    `void` | `prepareListSiteWideLinkedApps(String sessionId, Object returnValue)` Prepare a simulated response to listSiteWideLinkedApps
    `void` | `prepareListTemplates(String sessionId, Object returnValue)` Prepare a simulated response to listTemplates
    `void` | `prepareListUsersWithGeneralPermission(String sessionId, String projectId, String operationString, String folderId, Object returnValue)` Prepare a simulated response to listUsersWithGeneralPermission
    `void` | `prepareListUsersWithPermissionOnObject(String sessionId, String operationString, String objectId, int flag, Object returnValue)` Prepare a simulated response to listUsersWithPermissionOnObject
    `void` | `prepareLockProject(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to lockProject
    `void` | `prepareLogin(String userName, String password, boolean ignorePasswordExpiry, Object returnValue)` Prepare a simulated response to login
    `void` | `prepareLogin(String userName, String password, Object returnValue)` Prepare a simulated response to login
    `void` | `prepareLoginAnonymous(String anonSharedSecret, Object returnValue)` Prepare a simulated response to loginAnonymous
    `void` | `prepareLoginWithToken(String username, String oneTimeToken, Object returnValue)` Prepare a simulated response to loginWithToken
    `void` | `prepareLogoff(String userName, String sessionId)` Prepare a simulated response to logoff
    `void` | `prepareLogoff(String userName, String sessionId, Exception exception)` Prepare a simulated response to logoff
    `void` | `prepareReindexObject(String sessionId, String objectId)` Prepare a simulated response to reindexObject
    `void` | `prepareReindexObject(String sessionId, String objectId, Exception exception)` Prepare a simulated response to reindexObject
    `void` | `prepareRemoveProjectGroupAdmins(String sessionId, String projectGroupId, String[] usernames)` Prepare a simulated response to removeProjectGroupAdmins
    `void` | `prepareRemoveProjectGroupAdmins(String sessionId, String projectGroupId, String[] usernames, Exception exception)` Prepare a simulated response to removeProjectGroupAdmins
    `void` | `prepareRemoveProjectGroupMember(String sessionId, String projectGroupId, String userName)` Prepare a simulated response to removeProjectGroupMember
    `void` | `prepareRemoveProjectGroupMember(String sessionId, String projectGroupId, String userName, Exception exception)` Prepare a simulated response to removeProjectGroupMember
    `void` | `prepareRemoveProjectMember(String sessionId, String projectId, String userName)` Prepare a simulated response to removeProjectMember
    `void` | `prepareRemoveProjectMember(String sessionId, String projectId, String userName, Exception exception)` Prepare a simulated response to removeProjectMember
    `void` | `prepareRemoveProjectsFromProjectGroup(String sessionId, String[] projectMemberIds, String projectGroupId)` Prepare a simulated response to removeProjectsFromProjectGroup
    `void` | `prepareRemoveProjectsFromProjectGroup(String sessionId, String[] projectMemberIds, String projectGroupId, Exception exception)` Prepare a simulated response to removeProjectsFromProjectGroup
    `void` | `prepareRemoveUserGroupMember(String sessionId, String userGroupId, String userName)` Prepare a simulated response to removeUserGroupMember
    `void` | `prepareRemoveUserGroupMember(String sessionId, String userGroupId, String userName, Exception exception)` Prepare a simulated response to removeUserGroupMember
    `void` | `prepareSetLinkedApplicationData(String sessionId, LinkedApplicationSoapDO linkedApplicationSoapDO, String iconKey, String iconFileName, String iconMimeType)` Prepare a simulated response to setLinkedApplicationData
    `void` | `prepareSetLinkedApplicationData(String sessionId, LinkedApplicationSoapDO linkedApplicationSoapDO, String iconKey, String iconFileName, String iconMimeType, Exception exception)` Prepare a simulated response to setLinkedApplicationData
    `void` | `prepareSetLinkedApplicationData2(String sessionId, LinkedApplication2SoapDO linkedApplication2SoapDO, String iconKey, String iconFileName, String iconMimeType)` Prepare a simulated response to setLinkedApplicationData2
    `void` | `prepareSetLinkedApplicationData2(String sessionId, LinkedApplication2SoapDO linkedApplication2SoapDO, String iconKey, String iconFileName, String iconMimeType, Exception exception)` Prepare a simulated response to setLinkedApplicationData2
    `void` | `prepareSetParentProject(String sessionId, String projectId, String parentProjectId)` Prepare a simulated response to setParentProject
    `void` | `prepareSetParentProject(String sessionId, String projectId, String parentProjectId, Exception exception)` Prepare a simulated response to setParentProject
    `void` | `prepareSetPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO userData, UserSoapDO userSoapDO, String loggedInUser)` Prepare a simulated response to setPartialOrFullUserData
    `void` | `prepareSetPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO userData, UserSoapDO userSoapDO, String loggedInUser, Exception exception)` Prepare a simulated response to setPartialOrFullUserData
    `void` | `prepareSetPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO userData, User2SoapDO userSoapDO, String loggedInUser)` Prepare a simulated response to setPartialOrFullUserData2
    `void` | `prepareSetPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO userData, User2SoapDO userSoapDO, String loggedInUser, Exception exception)` Prepare a simulated response to setPartialOrFullUserData2
    `void` | `prepareSetProjectAccessLevel(String sessionId, String projectId, int accessLevel)` Prepare a simulated response to setProjectAccessLevel
    `void` | `prepareSetProjectAccessLevel(String sessionId, String projectId, int accessLevel, Exception exception)` Prepare a simulated response to setProjectAccessLevel
    `void` | `prepareSetProjectGroupData(String sessionId, ProjectGroupSoapDO projectGroupData)` Prepare a simulated response to setProjectGroupData
    `void` | `prepareSetProjectGroupData(String sessionId, ProjectGroupSoapDO projectGroupData, Exception exception)` Prepare a simulated response to setProjectGroupData
    `void` | `prepareSetProjectQuota(String sessionId, String projectId, long quota)` Prepare a simulated response to setProjectQuota
    `void` | `prepareSetProjectQuota(String sessionId, String projectId, long quota, Exception exception)` Prepare a simulated response to setProjectQuota
    `void` | `prepareSetUserData(String sessionId, UserSoapDO userData)` Prepare a simulated response to setUserData
    `void` | `prepareSetUserData(String sessionId, UserSoapDO userData, Exception exception)` Prepare a simulated response to setUserData
    `void` | `prepareSetUserData2(String sessionId, User2SoapDO userData)` Prepare a simulated response to setUserData2
    `void` | `prepareSetUserData2(String sessionId, User2SoapDO userData, Exception exception)` Prepare a simulated response to setUserData2
    `void` | `prepareSetUserGroupData(String sessionId, UserGroupSoapDO groupData)` Prepare a simulated response to setUserGroupData
    `void` | `prepareSetUserGroupData(String sessionId, UserGroupSoapDO groupData, Exception exception)` Prepare a simulated response to setUserGroupData
    `void` | `prepareShouldEnableSSO(boolean singleSignon, String loggedInUser, Object returnValue)` Prepare a simulated response to shouldEnableSSO
    `void` | `prepareUnLockProject(String sessionId, String projectId, Object returnValue)` Prepare a simulated response to unLockProject
    `void` | `prepareUpdateIconRequired(com.vasoftware.sf.server.types.StoredFileKey currentIconKey, String iconKey, Object returnValue)` Prepare a simulated response to updateIconRequired
    `void` | `prepareUpdateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentData, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newData, String loggedInUser)` Prepare a simulated response to updateLinkedAppData
    `void` | `prepareUpdateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentData, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newData, String loggedInUser, Exception exception)` Prepare a simulated response to updateLinkedAppData
    `void` | `prepareValidateEmails(UserSoapDO userData, String loggedInUser)` Prepare a simulated response to validateEmails
    `void` | `prepareValidateEmails(UserSoapDO userData, String loggedInUser, Exception exception)` Prepare a simulated response to validateEmails
    `void` | `prepareValidateLinkedAppData(String title, String applicationUrl, String applicationType)` Prepare a simulated response to validateLinkedAppData
    `void` | `prepareValidateLinkedAppData(String title, String applicationUrl, String applicationType, Exception exception)` Prepare a simulated response to validateLinkedAppData
    `void` | `prepareValidateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newDO)` Prepare a simulated response to validateToolType
    `void` | `prepareValidateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newDO, Exception exception)` Prepare a simulated response to validateToolType
    `void` | `prepareVerifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey objectKey, String permissionName, String loggedInUser)` Prepare a simulated response to verifyCTFObjectPermissionForAssociation
    `void` | `prepareVerifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey objectKey, String permissionName, String loggedInUser, Exception exception)` Prepare a simulated response to verifyCTFObjectPermissionForAssociation
    `void` | `prepareVerifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey, String permission, String loggedInUser)` Prepare a simulated response to verifyDocumentReviewObjectPermission
    `void` | `prepareVerifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey, String permission, String loggedInUser, Exception exception)` Prepare a simulated response to verifyDocumentReviewObjectPermission
    `void` | `prepareVerifyLinkedAppPermission(String projectId, com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation linkedAppOperation, String loggedInUser)` Prepare a simulated response to verifyLinkedAppPermission
    `void` | `prepareVerifyLinkedAppPermission(String projectId, com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation linkedAppOperation, String loggedInUser, Exception exception)` Prepare a simulated response to verifyLinkedAppPermission
    `void` | `prepareVerifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey plugObjectKey, String loggedInUser)` Prepare a simulated response to verifyPluggableObjectPermission
    `void` | `prepareVerifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey plugObjectKey, String loggedInUser, Exception exception)` Prepare a simulated response to verifyPluggableObjectPermission
    `void` | `reindexObject(String sessionId, String objectId)` Simulate a call to reindexObject
    `void` | `removeProjectGroupAdmins(String sessionId, String projectGroupId, String[] usernames)` Simulate a call to removeProjectGroupAdmins
    `void` | `removeProjectGroupMember(String sessionId, String projectGroupId, String userName)` Simulate a call to removeProjectGroupMember
    `void` | `removeProjectMember(String sessionId, String projectId, String userName)` Simulate a call to removeProjectMember
    `void` | `removeProjectsFromProjectGroup(String sessionId, String[] projectMemberIds, String projectGroupId)` Simulate a call to removeProjectsFromProjectGroup
    `void` | `removeUserGroupMember(String sessionId, String userGroupId, String userName)` Simulate a call to removeUserGroupMember
    `void` | `setLinkedApplicationData(String sessionId, LinkedApplicationSoapDO linkedApplicationSoapDO, String iconKey, String iconFileName, String iconMimeType)` Simulate a call to setLinkedApplicationData
    `void` | `setLinkedApplicationData2(String sessionId, LinkedApplication2SoapDO linkedApplication2SoapDO, String iconKey, String iconFileName, String iconMimeType)` Simulate a call to setLinkedApplicationData2
    `void` | `setParentProject(String sessionId, String projectId, String parentProjectId)` Simulate a call to setParentProject
    `void` | `setPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO userData, UserSoapDO userSoapDO, String loggedInUser)` Simulate a call to setPartialOrFullUserData
    `void` | `setPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO userData, User2SoapDO userSoapDO, String loggedInUser)` Simulate a call to setPartialOrFullUserData2
    `void` | `setProjectAccessLevel(String sessionId, String projectId, int accessLevel)` Simulate a call to setProjectAccessLevel
    `void` | `setProjectGroupData(String sessionId, ProjectGroupSoapDO projectGroupData)` Simulate a call to setProjectGroupData
    `void` | `setProjectQuota(String sessionId, String projectId, long quota)` Simulate a call to setProjectQuota
    `void` | `setUserData(String sessionId, UserSoapDO userData)` Simulate a call to setUserData
    `void` | `setUserData2(String sessionId, User2SoapDO userData)` Simulate a call to setUserData2
    `void` | `setUserGroupData(String sessionId, UserGroupSoapDO groupData)` Simulate a call to setUserGroupData
    `boolean` | `shouldEnableSSO(boolean singleSignon, String loggedInUser)` Simulate a call to shouldEnableSSO
    `ProjectSoapDO` | `unLockProject(String sessionId, String projectId)` Simulate a call to unLockProject
    `boolean` | `updateIconRequired(com.vasoftware.sf.server.types.StoredFileKey currentIconKey, String iconKey)` Simulate a call to updateIconRequired
    `void` | `updateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentData, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newData, String loggedInUser)` Simulate a call to updateLinkedAppData
    `void` | `validateEmails(UserSoapDO userData, String loggedInUser)` Simulate a call to validateEmails
    `void` | `validateLinkedAppData(String title, String applicationUrl, String applicationType)` Simulate a call to validateLinkedAppData
    `void` | `validateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newDO)` Simulate a call to validateToolType
    `void` | `verifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey objectKey, String permissionName, String loggedInUser)` Simulate a call to verifyCTFObjectPermissionForAssociation
    `void` | `verifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey, String permission, String loggedInUser)` Simulate a call to verifyDocumentReviewObjectPermission
    `void` | `verifyLinkedAppPermission(String projectId, com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation linkedAppOperation, String loggedInUser)` Simulate a call to verifyLinkedAppPermission
    `void` | `verifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey plugObjectKey, String loggedInUser)` Simulate a call to verifyPluggableObjectPermission

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

      `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollabNetSoapMockStub

          public CollabNetSoapMockStub(String soapServerUrl)

  - ### Method Detail

    - #### prepareGetVersion

          public void prepareGetVersion(String sessionId,
                                        Object returnValue)

      Prepare a simulated response to getVersion
      See Also:
        `CollabNetSoap.getVersion(java.lang.String)`

    - #### getVersion

          public String getVersion(String sessionId)
                            throws RemoteException

      Simulate a call to getVersion
      Specified by:
        `getVersion` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the session id.
      Returns:
        Version as string.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.getVersion(java.lang.String)`

    - #### prepareGetApiVersion

          public void prepareGetApiVersion(Object returnValue)

      Prepare a simulated response to getApiVersion
      See Also:
        `CollabNetSoap.getApiVersion()`

    - #### getApiVersion

          public String getApiVersion()
                               throws RemoteException

      Simulate a call to getApiVersion
      Specified by:
        `getApiVersion` in interface `ICollabNetSoap`
      Returns:
        API version as string.
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getApiVersion()`

    - #### prepareKeepAlive

          public void prepareKeepAlive(String sessionId)

      Prepare a simulated response to keepAlive
      See Also:
        `CollabNetSoap.keepAlive(java.lang.String)`

    - #### prepareKeepAlive

          public void prepareKeepAlive(String sessionId,
                                       Exception exception)

      Prepare a simulated response to keepAlive
      See Also:
        `CollabNetSoap.keepAlive(java.lang.String)`

    - #### keepAlive

          public void keepAlive(String sessionId)
                         throws RemoteException

      Simulate a call to keepAlive
      Specified by:
        `keepAlive` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the session id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.keepAlive(java.lang.String)`

    - #### prepareLoginAnonymous

          public void prepareLoginAnonymous(String anonSharedSecret,
                                            Object returnValue)

      Prepare a simulated response to loginAnonymous
      See Also:
        `CollabNetSoap.loginAnonymous(java.lang.String)`

    - #### loginAnonymous

          public String loginAnonymous(String anonSharedSecret)
                                throws RemoteException

      Simulate a call to loginAnonymous
      Specified by:
        `loginAnonymous` in interface `ICollabNetSoap`
      Parameters:
        `anonSharedSecret` - Shared secret for anonymous login. Its value must match the value set for SOAP_ANONYMOUS_SHARED_SECRET configuration variable set in site-options.conf file.
      Returns:
        Access token.
      Throws:
        `com.collabnet.ce.soap60.fault.LoginFault` - when the login information is incorrect.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.loginAnonymous(java.lang.String)`

    - #### prepareLogin

          public void prepareLogin(String userName,
                                   String password,
                                   Object returnValue)

      Prepare a simulated response to login
      See Also:
        `CollabNetSoap.login(java.lang.String, java.lang.String)`

    - #### login

          public String login(String userName,
                              String password)
                       throws RemoteException

      Simulate a call to login
      Specified by:
        `login` in interface `ICollabNetSoap`
      Parameters:
        `userName` - Name of the user.
        `password` - User password.
      Returns:
        Access token.
      Throws:
        `com.collabnet.ce.soap60.fault.LoginFault` - when the login information is incorrect.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.login(java.lang.String, java.lang.String)`

    - #### prepareLogin

          public void prepareLogin(String userName,
                                   String password,
                                   boolean ignorePasswordExpiry,
                                   Object returnValue)

      Prepare a simulated response to login
      See Also:
        `CollabNetSoap.login(java.lang.String, java.lang.String)`

    - #### login

          public String login(String userName,
                              String password,
                              boolean ignorePasswordExpiry)
                       throws RemoteException

      Simulate a call to login
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.login(java.lang.String, java.lang.String)`

    - #### prepareLoginWithToken

          public void prepareLoginWithToken(String username,
                                            String oneTimeToken,
                                            Object returnValue)

      Prepare a simulated response to loginWithToken
      See Also:
        `CollabNetSoap.loginWithToken(java.lang.String, java.lang.String)`

    - #### loginWithToken

          public String loginWithToken(String username,
                                       String oneTimeToken)
                                throws RemoteException

      Simulate a call to loginWithToken
      Specified by:
        `loginWithToken` in interface `ICollabNetSoap`
      Parameters:
        `username` - Name of the user.
        `oneTimeToken` - a one time token for login.
      Returns:
        Access token.
      Throws:
        `com.collabnet.ce.soap60.fault.LoginFault` - when the login information is incorrect.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.loginWithToken(java.lang.String, java.lang.String)`

    - #### prepareLogoff

          public void prepareLogoff(String userName,
                                    String sessionId)

      Prepare a simulated response to logoff
      See Also:
        `CollabNetSoap.logoff(java.lang.String, java.lang.String)`

    - #### prepareLogoff

          public void prepareLogoff(String userName,
                                    String sessionId,
                                    Exception exception)

      Prepare a simulated response to logoff
      See Also:
        `CollabNetSoap.logoff(java.lang.String, java.lang.String)`

    - #### logoff

          public void logoff(String userName,
                             String sessionId)
                      throws RemoteException

      Simulate a call to logoff
      Specified by:
        `logoff` in interface `ICollabNetSoap`
      Parameters:
        `userName` - User's name.
        `sessionId` - Session id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.logoff(java.lang.String, java.lang.String)`

    - #### prepareDoMandatoryPasswordChange

          public void prepareDoMandatoryPasswordChange(String userName,
                                                       String oldPassword,
                                                       String newPassword,
                                                       Object returnValue)

      Prepare a simulated response to doMandatoryPasswordChange
      See Also:
        `CollabNetSoap.doMandatoryPasswordChange(java.lang.String, java.lang.String, java.lang.String)`

    - #### doMandatoryPasswordChange

          public String doMandatoryPasswordChange(String userName,
                                                  String oldPassword,
                                                  String newPassword)
                                           throws RemoteException

      Simulate a call to doMandatoryPasswordChange
      Specified by:
        `doMandatoryPasswordChange` in interface `ICollabNetSoap`
      Parameters:
        `userName` - login name
        `oldPassword` - current password
        `newPassword` - new password
      Returns:
        User session key.
      Throws:
        `com.collabnet.ce.soap60.fault.LoginFault` - when the login information is incorrect.
        `com.collabnet.ce.soap60.fault.InvalidOperationFault` - if the user has already changed the password
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If there is a session fault.
        `com.collabnet.ce.soap60.fault.InvalidPasswordFault` - If the new password is not valid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If user does not have permissions to change password
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If invalid user name is passed
        `RemoteException`
      See Also:
        `CollabNetSoap.doMandatoryPasswordChange(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareChangePassword

          public void prepareChangePassword(String sessionId,
                                            String userName,
                                            String newPassword,
                                            Object returnValue)

      Prepare a simulated response to changePassword
      See Also:
        `CollabNetSoap.changePassword(java.lang.String, java.lang.String, java.lang.String)`

    - #### changePassword

          public boolean changePassword(String sessionId,
                                        String userName,
                                        String newPassword)
                                 throws RemoteException

      Simulate a call to changePassword
      Specified by:
        `changePassword` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key
        `userName` - login name
        `newPassword` - new password
      Returns:
        true if the password has been successfully changed
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If there is a session fault.
        `com.collabnet.ce.soap60.fault.InvalidPasswordFault` - If the new password is not valid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If user does not have permissions to change password
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If invalid user name is passed
        `RemoteException`
      See Also:
        `CollabNetSoap.changePassword(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCheckPermissionsToChangePassword

          public void prepareCheckPermissionsToChangePassword(String userName,
                                                              String loggedInUser)

      Prepare a simulated response to checkPermissionsToChangePassword
      See Also:
        `CollabNetSoap.checkPermissionsToChangePassword(java.lang.String, java.lang.String)`

    - #### prepareCheckPermissionsToChangePassword

          public void prepareCheckPermissionsToChangePassword(String userName,
                                                              String loggedInUser,
                                                              Exception exception)

      Prepare a simulated response to checkPermissionsToChangePassword
      See Also:
        `CollabNetSoap.checkPermissionsToChangePassword(java.lang.String, java.lang.String)`

    - #### checkPermissionsToChangePassword

          public void checkPermissionsToChangePassword(String userName,
                                                       String loggedInUser)
                                                throws RemoteException

      Simulate a call to checkPermissionsToChangePassword
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.checkPermissionsToChangePassword(java.lang.String, java.lang.String)`

    - #### prepareListGroupsWithGeneralPermission

          public void prepareListGroupsWithGeneralPermission(String sessionId,
                                                             String projectId,
                                                             String operationString,
                                                             String folderId,
                                                             boolean includeInherited,
                                                             Object returnValue)

      Prepare a simulated response to listGroupsWithGeneralPermission
      See Also:
        `CollabNetSoap.listGroupsWithGeneralPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### listGroupsWithGeneralPermission

          public UserGroupSoapList listGroupsWithGeneralPermission(String sessionId,
                                                                   String projectId,
                                                                   String operationString,
                                                                   String folderId,
                                                                   boolean includeInherited)
                                                            throws RemoteException

      Simulate a call to listGroupsWithGeneralPermission
      Specified by:
        `listGroupsWithGeneralPermission` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The current user session id
        `projectId` - Project for which permission is checked
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `folderId` - Id of the folder for which permission needs to be checked.
        `includeInherited` - true includes groups inherited from parent projects, false otherwise
      Returns:
        a list of user groups which has the permission on a given folder
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When Session is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the folderId does not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the operationString is in an invalid format
        `com.collabnet.ce.soap60.fault.SystemFault` - Any other exceptions
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If user does not have project view permission
        `RemoteException`
      See Also:
        `CollabNetSoap.listGroupsWithGeneralPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareHasPermission

          public void prepareHasPermission(String sessionId,
                                           String username,
                                           String projectId,
                                           String operationString,
                                           String objectId,
                                           Object returnValue)

      Prepare a simulated response to hasPermission
      See Also:
        `CollabNetSoap.hasPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### hasPermission

          public boolean hasPermission(String sessionId,
                                       String username,
                                       String projectId,
                                       String operationString,
                                       String objectId)
                                throws RemoteException

      Simulate a call to hasPermission
      Specified by:
        `hasPermission` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the current user session id
        `username` - the name of the user to check permission
        `projectId` - the project in which the operation is defined
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `objectId` - the object for which we are doing the permission check. Null if we're checking permission on the app folder of a project
      Returns:
        whether the given user has permission for an operation on a specified object Note on an exceptional behavior: It returns false, if the calling user does not have 'Project view' permission.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - The specified projectId or folderId was invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the operationString is in an invalid format
        `RemoteException`
      See Also:
        `CollabNetSoap.hasPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareHasPermission2

          public void prepareHasPermission2(String sessionId,
                                            String projectId,
                                            String operationString,
                                            String objectId,
                                            Object returnValue)

      Prepare a simulated response to hasPermission2
      See Also:
        `CollabNetSoap.hasPermission2(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### hasPermission2

          public boolean hasPermission2(String sessionId,
                                        String projectId,
                                        String operationString,
                                        String objectId)
                                 throws RemoteException

      Simulate a call to hasPermission2
      Specified by:
        `hasPermission2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the current user session id
        `projectId` - the project in which the operation is defined
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `objectId` - the object for which we are doing the permission check. Null if we're checking permission on the app folder of a project
      Returns:
        whether the current user has permission for an operation on a specified object Note on an exceptional behavior: It returns false, if the calling user does not have 'Project view' permission.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - The specified projectId or folderId was invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the operationString is in an invalid format
        `RemoteException`
      See Also:
        `CollabNetSoap.hasPermission2(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetProjectList

          public void prepareGetProjectList(String sessionId,
                                            boolean fetchHierarchyPath,
                                            Object returnValue)

      Prepare a simulated response to getProjectList
      See Also:
        `CollabNetSoap.getProjectList(java.lang.String, boolean)`

    - #### getProjectList

          public ProjectSoapList getProjectList(String sessionId,
                                                boolean fetchHierarchyPath)
                                         throws RemoteException

      Simulate a call to getProjectList
      Specified by:
        `getProjectList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `fetchHierarchyPath` - flag indicating whether to fetch the hierarchy path for each project
      Returns:
        List of projects
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectList(java.lang.String, boolean)`

    - #### prepareGetProjectListForUser

          public void prepareGetProjectListForUser(String sessionId,
                                                   String username,
                                                   boolean fetchHierarchyPath,
                                                   boolean includeGroupMembership,
                                                   Object returnValue)

      Prepare a simulated response to getProjectListForUser
      See Also:
        `CollabNetSoap.getProjectListForUser(java.lang.String, java.lang.String, boolean, boolean)`

    - #### getProjectListForUser

          public ProjectSoapList getProjectListForUser(String sessionId,
                                                       String username,
                                                       boolean fetchHierarchyPath,
                                                       boolean includeGroupMembership)
                                                throws RemoteException

      Simulate a call to getProjectListForUser
      Specified by:
        `getProjectListForUser` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `username` - User name.
        `fetchHierarchyPath` - flag indicating whether to fetch the hierarchy path for each project
        `includeGroupMembership` - flag indicating whether to return projects which are accessible by group membership.
      Returns:
        List of user projects.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectListForUser(java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareGetSubprojectList

          public void prepareGetSubprojectList(String sessionId,
                                               String projectId,
                                               boolean fetchHierarchyPath,
                                               Object returnValue)

      Prepare a simulated response to getSubprojectList
      See Also:
        `CollabNetSoap.getSubprojectList(java.lang.String, java.lang.String, boolean)`

    - #### getSubprojectList

          public ProjectSoapList getSubprojectList(String sessionId,
                                                   String projectId,
                                                   boolean fetchHierarchyPath)
                                            throws RemoteException

      Simulate a call to getSubprojectList
      Specified by:
        `getSubprojectList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectId` - Project id (not a project group id).
        `fetchHierarchyPath` - flag indicating whether to fetch the hierarchy path for each project
      Returns:
        List of sub projects.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the project passed as parameter does not exist or if the project id is in fact a project group id.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `RemoteException`
      See Also:
        `CollabNetSoap.getSubprojectList(java.lang.String, java.lang.String, boolean)`

    - #### prepareCreateProject

          public void prepareCreateProject(String sessionId,
                                           String name,
                                           String title,
                                           String description,
                                           Object returnValue)

      Prepare a simulated response to createProject
      See Also:
        `CollabNetSoap.createProject(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createProject

          public ProjectSoapDO createProject(String sessionId,
                                             String name,
                                             String title,
                                             String description)
                                      throws RemoteException

      Simulate a call to createProject
      Specified by:
        `createProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `name` - The name of the project (can be null, will fall back to title or id)
        `title` - The title of the project
        `description` - The description of the project
      Returns:
        The project data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the project with that name already exists.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when specified argument is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.createProject(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareEnableOrchestrateComponent

          public void prepareEnableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO projectDO,
                                                        String loggedInUser)

      Prepare a simulated response to enableOrchestrateComponent
      See Also:
        `CollabNetSoap.enableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO, java.lang.String)`

    - #### prepareEnableOrchestrateComponent

          public void prepareEnableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO projectDO,
                                                        String loggedInUser,
                                                        Exception exception)

      Prepare a simulated response to enableOrchestrateComponent
      See Also:
        `CollabNetSoap.enableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO, java.lang.String)`

    - #### enableOrchestrateComponent

          public void enableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO projectDO,
                                                 String loggedInUser)
                                          throws RemoteException

      Simulate a call to enableOrchestrateComponent
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.enableOrchestrateComponent(com.vasoftware.sf.server.services.core.ProjectDO, java.lang.String)`

    - #### prepareCreateOrReplaceProjectTemplate

          public void prepareCreateOrReplaceProjectTemplate(String sessionId,
                                                            String projectId,
                                                            String title,
                                                            String description,
                                                            String[] contentChoices,
                                                            String templateId,
                                                            Object returnValue)

      Prepare a simulated response to createOrReplaceProjectTemplate
      See Also:
        `CollabNetSoap.createOrReplaceProjectTemplate(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String)`

    - #### createOrReplaceProjectTemplate

          public ProjectSoapDO createOrReplaceProjectTemplate(String sessionId,
                                                              String projectId,
                                                              String title,
                                                              String description,
                                                              String[] contentChoices,
                                                              String templateId)
                                                       throws RemoteException

      Simulate a call to createOrReplaceProjectTemplate
      Specified by:
        `createOrReplaceProjectTemplate` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The session id.
        `projectId` - The project to copy into a template
        `title` - The title of the template
        `description` - The description of the template
        `contentChoices` - the desired application content in the template, see constants below
        `templateId` - the id of the template to replace, if null (not empty string but null), a new template will be created
      Returns:
        The template project data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the template or project does not exist.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when illegal argument is passed.
        `RemoteException`
      See Also:
        `CollabNetSoap.createOrReplaceProjectTemplate(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String)`

    - #### prepareCreateProjectFromTemplate

          public void prepareCreateProjectFromTemplate(String sessionId,
                                                       String templateId,
                                                       String name,
                                                       String title,
                                                       String description,
                                                       Object returnValue)

      Prepare a simulated response to createProjectFromTemplate
      See Also:
        `CollabNetSoap.createProjectFromTemplate(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createProjectFromTemplate

          public ProjectSoapDO createProjectFromTemplate(String sessionId,
                                                         String templateId,
                                                         String name,
                                                         String title,
                                                         String description)
                                                  throws RemoteException

      Simulate a call to createProjectFromTemplate
      Specified by:
        `createProjectFromTemplate` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `templateId` - The template project id
        `name` - The name of the project (can be null, will fall back to title or id)
        `title` - The title of the project
        `description` - The description of the project
      Returns:
        The project data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the project with that name already exists.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when illegal argument is passed.
        `RemoteException`
      See Also:
        `CollabNetSoap.createProjectFromTemplate(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareListTemplates

          public void prepareListTemplates(String sessionId,
                                           Object returnValue)

      Prepare a simulated response to listTemplates
      See Also:
        `CollabNetSoap.listTemplates(java.lang.String)`

    - #### listTemplates

          public ProjectSoapList listTemplates(String sessionId)
                                        throws RemoteException

      Simulate a call to listTemplates
      Specified by:
        `listTemplates` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
      Returns:
        The list of template projects
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.listTemplates(java.lang.String)`

    - #### prepareFindProjects

          public void prepareFindProjects(String sessionId,
                                          String queryString,
                                          Object returnValue)

      Prepare a simulated response to findProjects
      See Also:
        `CollabNetSoap.findProjects(java.lang.String, java.lang.String)`

    - #### findProjects

          public ProjectSoapList findProjects(String sessionId,
                                              String queryString)
                                       throws RemoteException

      Simulate a call to findProjects
      Specified by:
        `findProjects` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
      Returns:
        List of projects matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the query string is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.findProjects(java.lang.String, java.lang.String)`

    - #### prepareLockProject

          public void prepareLockProject(String sessionId,
                                         String projectId,
                                         Object returnValue)

      Prepare a simulated response to lockProject
      See Also:
        `CollabNetSoap.lockProject(java.lang.String, java.lang.String)`

    - #### lockProject

          public ProjectSoapDO lockProject(String sessionId,
                                           String projectId)
                                    throws RemoteException

      Simulate a call to lockProject
      Specified by:
        `lockProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectId` - Project id.
      Returns:
        Project data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.ProjectAlreadyLockedFault` - When a user tries to lock an already locked project
        `RemoteException`
      See Also:
        `CollabNetSoap.lockProject(java.lang.String, java.lang.String)`

    - #### prepareUnLockProject

          public void prepareUnLockProject(String sessionId,
                                           String projectId,
                                           Object returnValue)

      Prepare a simulated response to unLockProject
      See Also:
        `CollabNetSoap.unLockProject(java.lang.String, java.lang.String)`

    - #### unLockProject

          public ProjectSoapDO unLockProject(String sessionId,
                                             String projectId)
                                      throws RemoteException

      Simulate a call to unLockProject
      Specified by:
        `unLockProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectId` - Project id.
      Returns:
        Project data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.unLockProject(java.lang.String, java.lang.String)`

    - #### prepareGetProjectData

          public void prepareGetProjectData(String sessionId,
                                            String projectId,
                                            Object returnValue)

      Prepare a simulated response to getProjectData
      See Also:
        `CollabNetSoap.getProjectData(java.lang.String, java.lang.String)`

    - #### getProjectData

          public ProjectSoapDO getProjectData(String sessionId,
                                              String projectId)
                                       throws RemoteException

      Simulate a call to getProjectData
      Specified by:
        `getProjectData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectId` - Project id.
      Returns:
        Project data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectData(java.lang.String, java.lang.String)`

    - #### prepareGetProjectMemberList

          public void prepareGetProjectMemberList(String sessionId,
                                                  String projectId,
                                                  Object returnValue)

      Prepare a simulated response to getProjectMemberList
      See Also:
        `CollabNetSoap.getProjectMemberList(java.lang.String, java.lang.String)`

    - #### getProjectMemberList

          public ProjectMemberSoapList getProjectMemberList(String sessionId,
                                                            String projectId)
                                                     throws RemoteException

      Simulate a call to getProjectMemberList
      Specified by:
        `getProjectMemberList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Id of the project.
      Returns:
        Members of project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectMemberList(java.lang.String, java.lang.String)`

    - #### prepareListProjectAdmins

          public void prepareListProjectAdmins(String sessionId,
                                               String projectId,
                                               Object returnValue)

      Prepare a simulated response to listProjectAdmins
      See Also:
        `CollabNetSoap.listProjectAdmins(java.lang.String, java.lang.String)`

    - #### listProjectAdmins

          public UserSoapList listProjectAdmins(String sessionId,
                                                String projectId)
                                         throws RemoteException

      Simulate a call to listProjectAdmins
      Specified by:
        `listProjectAdmins` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Id of the project.
      Returns:
        Administrators of the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.listProjectAdmins(java.lang.String, java.lang.String)`

    - #### prepareGetUserGroupListForProject

          public void prepareGetUserGroupListForProject(String sessionId,
                                                        String projectOrProjectGroupId,
                                                        Object returnValue)

      Prepare a simulated response to getUserGroupListForProject
      See Also:
        `CollabNetSoap.getUserGroupListForProject(java.lang.String, java.lang.String)`

    - #### getUserGroupListForProject

          public UserGroupSoapList getUserGroupListForProject(String sessionId,
                                                              String projectOrProjectGroupId)
                                                       throws RemoteException

      Simulate a call to getUserGroupListForProject
      Specified by:
        `getUserGroupListForProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectOrProjectGroupId` - Project/ProjectGroup Id.
      Returns:
        UserGroups who have a role in the project.
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserGroupListForProject(java.lang.String, java.lang.String)`

    - #### prepareAddProjectMember

          public void prepareAddProjectMember(String sessionId,
                                              String projectId,
                                              String userName)

      Prepare a simulated response to addProjectMember
      See Also:
        `CollabNetSoap.addProjectMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddProjectMember

          public void prepareAddProjectMember(String sessionId,
                                              String projectId,
                                              String userName,
                                              Exception exception)

      Prepare a simulated response to addProjectMember
      See Also:
        `CollabNetSoap.addProjectMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### addProjectMember

          public void addProjectMember(String sessionId,
                                       String projectId,
                                       String userName)
                                throws RemoteException

      Simulate a call to addProjectMember
      Specified by:
        `addProjectMember` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Id project Id.
        `userName` - Name of the new user.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.addProjectMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddProjectGroupMember

          public void prepareAddProjectGroupMember(String sessionId,
                                                   String projectGroupId,
                                                   String userName)

      Prepare a simulated response to addProjectGroupMember
      See Also:
        `CollabNetSoap.addProjectGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddProjectGroupMember

          public void prepareAddProjectGroupMember(String sessionId,
                                                   String projectGroupId,
                                                   String userName,
                                                   Exception exception)

      Prepare a simulated response to addProjectGroupMember
      See Also:
        `CollabNetSoap.addProjectGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### addProjectGroupMember

          public void addProjectGroupMember(String sessionId,
                                            String projectGroupId,
                                            String userName)
                                     throws RemoteException

      Simulate a call to addProjectGroupMember
      Specified by:
        `addProjectGroupMember` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectGroupId` - ProjectGroup id.
        `userName` - Name of the new user.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.addProjectGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveProjectMember

          public void prepareRemoveProjectMember(String sessionId,
                                                 String projectId,
                                                 String userName)

      Prepare a simulated response to removeProjectMember
      See Also:
        `CollabNetSoap.removeProjectMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveProjectMember

          public void prepareRemoveProjectMember(String sessionId,
                                                 String projectId,
                                                 String userName,
                                                 Exception exception)

      Prepare a simulated response to removeProjectMember
      See Also:
        `CollabNetSoap.removeProjectMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### removeProjectMember

          public void removeProjectMember(String sessionId,
                                          String projectId,
                                          String userName)
                                   throws RemoteException

      Simulate a call to removeProjectMember
      Specified by:
        `removeProjectMember` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Id of the project.
        `userName` - Name of the new user.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.RemoveOnlyProjectAdminFault` - attempting to remove last project admin
        `RemoteException`
      See Also:
        `CollabNetSoap.removeProjectMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateUserGroup

          public void prepareCreateUserGroup(String sessionId,
                                             String fullName,
                                             String description,
                                             Object returnValue)

      Prepare a simulated response to createUserGroup
      See Also:
        `CollabNetSoap.createUserGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### createUserGroup

          public UserGroupSoapDO createUserGroup(String sessionId,
                                                 String fullName,
                                                 String description)
                                          throws RemoteException

      Simulate a call to createUserGroup
      Specified by:
        `createUserGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User's session id.
        `fullName` - Full name of the new group.
        `description` - Description of the new group.
      Returns:
        Newly created group object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the specified group already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more group parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.createUserGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetUserGroupData

          public void prepareGetUserGroupData(String sessionId,
                                              String groupId,
                                              Object returnValue)

      Prepare a simulated response to getUserGroupData
      See Also:
        `CollabNetSoap.getUserGroupData(java.lang.String, java.lang.String)`

    - #### getUserGroupData

          public UserGroupSoapDO getUserGroupData(String sessionId,
                                                  String groupId)
                                           throws RemoteException

      Simulate a call to getUserGroupData
      Specified by:
        `getUserGroupData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User's session id.
        `groupId` - User Group id.
      Returns:
        User Group data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified group id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserGroupData(java.lang.String, java.lang.String)`

    - #### prepareSetUserGroupData

          public void prepareSetUserGroupData(String sessionId,
                                              UserGroupSoapDO groupData)

      Prepare a simulated response to setUserGroupData
      See Also:
        `CollabNetSoap.setUserGroupData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.UserGroupSoapDO)`

    - #### prepareSetUserGroupData

          public void prepareSetUserGroupData(String sessionId,
                                              UserGroupSoapDO groupData,
                                              Exception exception)

      Prepare a simulated response to setUserGroupData
      See Also:
        `CollabNetSoap.setUserGroupData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.UserGroupSoapDO)`

    - #### setUserGroupData

          public void setUserGroupData(String sessionId,
                                       UserGroupSoapDO groupData)
                                throws RemoteException

      Simulate a call to setUserGroupData
      Specified by:
        `setUserGroupData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User's session id.
        `groupData` - User Group data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - The user group version being edited is not the latest one
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when a user group with the specified user group name already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the specified user group name is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs
        `RemoteException`
      See Also:
        `CollabNetSoap.setUserGroupData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.UserGroupSoapDO)`

    - #### prepareDeleteUserGroup

          public void prepareDeleteUserGroup(String sessionId,
                                             String groupId)

      Prepare a simulated response to deleteUserGroup
      See Also:
        `CollabNetSoap.deleteUserGroup(java.lang.String, java.lang.String)`

    - #### prepareDeleteUserGroup

          public void prepareDeleteUserGroup(String sessionId,
                                             String groupId,
                                             Exception exception)

      Prepare a simulated response to deleteUserGroup
      See Also:
        `CollabNetSoap.deleteUserGroup(java.lang.String, java.lang.String)`

    - #### deleteUserGroup

          public void deleteUserGroup(String sessionId,
                                      String groupId)
                               throws RemoteException

      Simulate a call to deleteUserGroup
      Specified by:
        `deleteUserGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `groupId` - The id of the user group to be deleted
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if we can't find the project with the specified user group id
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalUserModificationFault` - when a user tries to delete system created user group.
        `RemoteException`
      See Also:
        `CollabNetSoap.deleteUserGroup(java.lang.String, java.lang.String)`

    - #### prepareGetUserGroupList

          public void prepareGetUserGroupList(String sessionId,
                                              Object returnValue)

      Prepare a simulated response to getUserGroupList
      See Also:
        `CollabNetSoap.getUserGroupList(java.lang.String)`

    - #### getUserGroupList

          public UserGroupSoapList getUserGroupList(String sessionId)
                                             throws RemoteException

      Simulate a call to getUserGroupList
      Specified by:
        `getUserGroupList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
      Returns:
        List of user groups matching a filter.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserGroupList(java.lang.String)`

    - #### prepareGetUserGroupListForUser

          public void prepareGetUserGroupListForUser(String sessionId,
                                                     String username,
                                                     Object returnValue)

      Prepare a simulated response to getUserGroupListForUser
      See Also:
        `CollabNetSoap.getUserGroupListForUser(java.lang.String, java.lang.String)`

    - #### getUserGroupListForUser

          public UserGroupSoapList getUserGroupListForUser(String sessionId,
                                                           String username)
                                                    throws RemoteException

      Simulate a call to getUserGroupListForUser
      Specified by:
        `getUserGroupListForUser` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `username` - the name of the user
      Returns:
        List of user groups the user belongs.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserGroupListForUser(java.lang.String, java.lang.String)`

    - #### prepareGetUserGroupMembers

          public void prepareGetUserGroupMembers(String sessionId,
                                                 String groupId,
                                                 Object returnValue)

      Prepare a simulated response to getUserGroupMembers
      See Also:
        `CollabNetSoap.getUserGroupMembers(java.lang.String, java.lang.String)`

    - #### getUserGroupMembers

          public UserSoapList getUserGroupMembers(String sessionId,
                                                  String groupId)
                                           throws RemoteException

      Simulate a call to getUserGroupMembers
      Specified by:
        `getUserGroupMembers` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `groupId` - the user group id
      Returns:
        List of members of a user group
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if we can't find the project with the specified user group id.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserGroupMembers(java.lang.String, java.lang.String)`

    - #### prepareAddUserGroupMember

          public void prepareAddUserGroupMember(String sessionId,
                                                String userGroupId,
                                                String userName)

      Prepare a simulated response to addUserGroupMember
      See Also:
        `CollabNetSoap.addUserGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddUserGroupMember

          public void prepareAddUserGroupMember(String sessionId,
                                                String userGroupId,
                                                String userName,
                                                Exception exception)

      Prepare a simulated response to addUserGroupMember
      See Also:
        `CollabNetSoap.addUserGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### addUserGroupMember

          public void addUserGroupMember(String sessionId,
                                         String userGroupId,
                                         String userName)
                                  throws RemoteException

      Simulate a call to addUserGroupMember
      Specified by:
        `addUserGroupMember` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `userGroupId` - User Group to which the user should be added
        `userName` - User to be added to the user group
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if the user group and/or user does not exist
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalGroupMemberAddFault` - when an users in the system is added to system created user group.
        `RemoteException`
      See Also:
        `CollabNetSoap.addUserGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveUserGroupMember

          public void prepareRemoveUserGroupMember(String sessionId,
                                                   String userGroupId,
                                                   String userName)

      Prepare a simulated response to removeUserGroupMember
      See Also:
        `CollabNetSoap.removeUserGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveUserGroupMember

          public void prepareRemoveUserGroupMember(String sessionId,
                                                   String userGroupId,
                                                   String userName,
                                                   Exception exception)

      Prepare a simulated response to removeUserGroupMember
      See Also:
        `CollabNetSoap.removeUserGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### removeUserGroupMember

          public void removeUserGroupMember(String sessionId,
                                            String userGroupId,
                                            String userName)
                                     throws RemoteException

      Simulate a call to removeUserGroupMember
      Specified by:
        `removeUserGroupMember` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `userGroupId` - User Group from which the user should be removed.
        `userName` - User to be removed.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if the user group and/or user does not exist
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.removeUserGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateUser

          public void prepareCreateUser(String sessionId,
                                        String userName,
                                        String email,
                                        String fullName,
                                        String organization,
                                        String locale,
                                        String timeZone,
                                        String licenseType,
                                        boolean isSuperUser,
                                        boolean isRestrictedUser,
                                        String password,
                                        Object returnValue)

      Prepare a simulated response to createUser
      See Also:
        `CollabNetSoap.createUser(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.lang.String)`

    - #### createUser

          public UserSoapDO createUser(String sessionId,
                                       String userName,
                                       String email,
                                       String fullName,
                                       String organization,
                                       String locale,
                                       String timeZone,
                                       String licenseType,
                                       boolean isSuperUser,
                                       boolean isRestrictedUser,
                                       String password)
                                throws RemoteException

      Simulate a call to createUser
      Specified by:
        `createUser` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User's session id.
        `userName` - Name of the new user.
        `email` - Email of the new user.
        `fullName` - Full name of the new user.
        `organization` - organization name of the new user.
        `locale` - Locale of the new user (currently supported locales are "en" for English, "ja" for Japanese).
        `timeZone` - User's time zone. The ID for a `TimeZone`, either an abbreviation such as "PST", a full name such as "America/Los_Angeles", or a custom ID such as "GMT-8:00".
        `licenseType` - User's license type. Multiple license types can be given for a user as ALM,DEVOPS
        `isSuperUser` - Should user be given super-user privileges?
        `isRestrictedUser` - Should user be given restricted privileges?
        `password` - Password of the new user.
      Returns:
        Newly created user object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the specified user already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more user parameters are invalid.
        `com.collabnet.ce.soap60.fault.UserLimitExceededFault` - The user limit was exceeded
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.createUser(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, boolean, java.lang.String)`

    - #### prepareGetUserData

          public void prepareGetUserData(String sessionId,
                                         String username,
                                         Object returnValue)

      Prepare a simulated response to getUserData
      See Also:
        `CollabNetSoap.getUserData(java.lang.String, java.lang.String)`

    - #### getUserData

          public UserSoapDO getUserData(String sessionId,
                                        String username)
                                 throws RemoteException

      Simulate a call to getUserData
      Specified by:
        `getUserData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `username` - User name (login name)
      Returns:
        User data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the username is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserData(java.lang.String, java.lang.String)`

    - #### prepareGetUserData2

          public void prepareGetUserData2(String sessionId,
                                          String username,
                                          Object returnValue)

      Prepare a simulated response to getUserData2
      See Also:
        `CollabNetSoap.getUserData2(java.lang.String, java.lang.String)`

    - #### getUserData2

          public User2SoapDO getUserData2(String sessionId,
                                          String username)
                                   throws RemoteException

      Simulate a call to getUserData2
      Specified by:
        `getUserData2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `username` - User name (login name)
      Returns:
        User data which includes user's profile picture link.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the username is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserData2(java.lang.String, java.lang.String)`

    - #### prepareGetUserByEmail

          public void prepareGetUserByEmail(String sessionId,
                                            String email,
                                            Object returnValue)

      Prepare a simulated response to getUserByEmail
      See Also:
        `CollabNetSoap.getUserByEmail(java.lang.String, java.lang.String)`

    - #### getUserByEmail

          public UserSoapDO getUserByEmail(String sessionId,
                                           String email)
                                    throws RemoteException

      Simulate a call to getUserByEmail
      Specified by:
        `getUserByEmail` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `email` - the email address of a registered user
      Returns:
        User data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the username is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserByEmail(java.lang.String, java.lang.String)`

    - #### prepareGetUserByName

          public void prepareGetUserByName(String sessionId,
                                           String fullname,
                                           Object returnValue)

      Prepare a simulated response to getUserByName
      See Also:
        `CollabNetSoap.getUserByName(java.lang.String, java.lang.String)`

    - #### getUserByName

          public UserSoapDO getUserByName(String sessionId,
                                          String fullname)
                                   throws RemoteException

      Simulate a call to getUserByName
      Specified by:
        `getUserByName` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `fullname` - the full name of a user
      Returns:
        User data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the username is invalid
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserByName(java.lang.String, java.lang.String)`

    - #### prepareGetCurrentUserData

          public void prepareGetCurrentUserData(String sessionId,
                                                Object returnValue)

      Prepare a simulated response to getCurrentUserData
      See Also:
        `CollabNetSoap.getCurrentUserData(java.lang.String)`

    - #### getCurrentUserData

          public UserSoapDO getCurrentUserData(String sessionId)
                                        throws RemoteException

      Simulate a call to getCurrentUserData
      Specified by:
        `getCurrentUserData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
      Returns:
        a UserSoapDO for a given user session id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the given session id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.getCurrentUserData(java.lang.String)`

    - #### prepareSetUserData2

          public void prepareSetUserData2(String sessionId,
                                          User2SoapDO userData)

      Prepare a simulated response to setUserData2
      See Also:
        `CollabNetSoap.setUserData2(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.User2SoapDO)`

    - #### prepareSetUserData2

          public void prepareSetUserData2(String sessionId,
                                          User2SoapDO userData,
                                          Exception exception)

      Prepare a simulated response to setUserData2
      See Also:
        `CollabNetSoap.setUserData2(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.User2SoapDO)`

    - #### setUserData2

          public void setUserData2(String sessionId,
                                   User2SoapDO userData)
                            throws RemoteException

      Simulate a call to setUserData2
      Specified by:
        `setUserData2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `userData` - User data which includes user's profile picture link.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - The user version being edited is not the latest one
        `com.collabnet.ce.soap60.fault.LastSuperUserFault` - The user being edited is the last super user and cannot be un-superusered
        `com.collabnet.ce.soap60.fault.IllegalUserModificationFault` - If someone tried to edit a restricted property on a special user (like the status on the admin user).
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to do this (only site admins and users with site-wide user edit permissions can perform this operation)
        `com.collabnet.ce.soap60.fault.UserLimitExceededFault` - The user limit was exceeded
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.setUserData2(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.User2SoapDO)`

    - #### prepareSetUserData

          public void prepareSetUserData(String sessionId,
                                         UserSoapDO userData)

      Prepare a simulated response to setUserData
      See Also:
        `CollabNetSoap.setUserData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.UserSoapDO)`

    - #### prepareSetUserData

          public void prepareSetUserData(String sessionId,
                                         UserSoapDO userData,
                                         Exception exception)

      Prepare a simulated response to setUserData
      See Also:
        `CollabNetSoap.setUserData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.UserSoapDO)`

    - #### setUserData

          public void setUserData(String sessionId,
                                  UserSoapDO userData)
                           throws RemoteException

      Simulate a call to setUserData
      Specified by:
        `setUserData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `userData` - User data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - The user version being edited is not the latest one
        `com.collabnet.ce.soap60.fault.LastSuperUserFault` - The user being edited is the last super user and cannot be un-superusered
        `com.collabnet.ce.soap60.fault.IllegalUserModificationFault` - If someone tried to edit a restricted property on a special user (like the status on the admin user).
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to do this (only site admins and users with site-wide user edit permissions can perform this operation)
        `com.collabnet.ce.soap60.fault.UserLimitExceededFault` - The user limit was exceeded
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.setUserData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.UserSoapDO)`

    - #### prepareValidateEmails

          public void prepareValidateEmails(UserSoapDO userData,
                                            String loggedInUser)

      Prepare a simulated response to validateEmails
      See Also:
        `CollabNetSoap.validateEmails(com.collabnet.ce.soap60.webservices.cemain.UserSoapDO, java.lang.String)`

    - #### prepareValidateEmails

          public void prepareValidateEmails(UserSoapDO userData,
                                            String loggedInUser,
                                            Exception exception)

      Prepare a simulated response to validateEmails
      See Also:
        `CollabNetSoap.validateEmails(com.collabnet.ce.soap60.webservices.cemain.UserSoapDO, java.lang.String)`

    - #### validateEmails

          public void validateEmails(UserSoapDO userData,
                                     String loggedInUser)
                              throws RemoteException

      Simulate a call to validateEmails
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.validateEmails(com.collabnet.ce.soap60.webservices.cemain.UserSoapDO, java.lang.String)`

    - #### prepareFindUsers

          public void prepareFindUsers(String sessionId,
                                       String queryString,
                                       Object returnValue)

      Prepare a simulated response to findUsers
      See Also:
        `CollabNetSoap.findUsers(java.lang.String, java.lang.String)`

    - #### findUsers

          public UserSoapList findUsers(String sessionId,
                                        String queryString)
                                 throws RemoteException

      Simulate a call to findUsers
      Specified by:
        `findUsers` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
      Returns:
        List of users matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when the query string is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.findUsers(java.lang.String, java.lang.String)`

    - #### prepareGetUserList

          public void prepareGetUserList(String sessionId,
                                         com.collabnet.ce.soap60.types.SoapFilter soapFilter,
                                         Object returnValue)

      Prepare a simulated response to getUserList
      See Also:
        `CollabNetSoap.getUserList(java.lang.String, com.collabnet.ce.soap60.types.SoapFilter)`

    - #### getUserList

          public UserSoapList getUserList(String sessionId,
                                          com.collabnet.ce.soap60.types.SoapFilter soapFilter)
                                   throws RemoteException

      Simulate a call to getUserList
      Specified by:
        `getUserList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `soapFilter` - Search filter. See UserSoapDO.FILTER constants for supported filter names.
      Returns:
        List of users matching a filter.
      Throws:
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserList(java.lang.String, com.collabnet.ce.soap60.types.SoapFilter)`

    - #### prepareGetUserList2

          public void prepareGetUserList2(String sessionId,
                                          com.collabnet.ce.soap60.types.SoapFilter soapFilter,
                                          Object returnValue)

      Prepare a simulated response to getUserList2
      See Also:
        `CollabNetSoap.getUserList2(java.lang.String, com.collabnet.ce.soap60.types.SoapFilter)`

    - #### getUserList2

          public User2SoapList getUserList2(String sessionId,
                                            com.collabnet.ce.soap60.types.SoapFilter soapFilter)
                                     throws RemoteException

      Simulate a call to getUserList2
      Specified by:
        `getUserList2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `soapFilter` - Search filter. See UserSoapDO.FILTER constants for supported filter names.
      Returns:
        List of users matching a filter.
      Throws:
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserList2(java.lang.String, com.collabnet.ce.soap60.types.SoapFilter)`

    - #### prepareGetProjectAccessLevel

          public void prepareGetProjectAccessLevel(String sessionId,
                                                   String projectId,
                                                   Object returnValue)

      Prepare a simulated response to getProjectAccessLevel
      See Also:
        `CollabNetSoap.getProjectAccessLevel(java.lang.String, java.lang.String)`

    - #### getProjectAccessLevel

          public int getProjectAccessLevel(String sessionId,
                                           String projectId)
                                    throws RemoteException

      Simulate a call to getProjectAccessLevel
      Specified by:
        `getProjectAccessLevel` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session Id
        `projectId` - The project Id
      Returns:
        The project access level.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the project id is not a valid project id or if it is a Project Group's id
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectAccessLevel(java.lang.String, java.lang.String)`

    - #### prepareSetProjectAccessLevel

          public void prepareSetProjectAccessLevel(String sessionId,
                                                   String projectId,
                                                   int accessLevel)

      Prepare a simulated response to setProjectAccessLevel
      See Also:
        `CollabNetSoap.setProjectAccessLevel(java.lang.String, java.lang.String, int)`

    - #### prepareSetProjectAccessLevel

          public void prepareSetProjectAccessLevel(String sessionId,
                                                   String projectId,
                                                   int accessLevel,
                                                   Exception exception)

      Prepare a simulated response to setProjectAccessLevel
      See Also:
        `CollabNetSoap.setProjectAccessLevel(java.lang.String, java.lang.String, int)`

    - #### setProjectAccessLevel

          public void setProjectAccessLevel(String sessionId,
                                            String projectId,
                                            int accessLevel)
                                     throws RemoteException

      Simulate a call to setProjectAccessLevel
      Specified by:
        `setProjectAccessLevel` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session Id
        `projectId` - The project Id
        `accessLevel` - The access level to set the project to
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the project id is not a valid project id
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - When the accessLevel is invalid or if the "PROJECT_ACCESS_EDITABLE" configuration's value is false
        `RemoteException`
      See Also:
        `CollabNetSoap.setProjectAccessLevel(java.lang.String, java.lang.String, int)`

    - #### prepareGetCommentList

          public void prepareGetCommentList(String sessionId,
                                            String objectId,
                                            Object returnValue)

      Prepare a simulated response to getCommentList
      See Also:
        `CollabNetSoap.getCommentList(java.lang.String, java.lang.String)`

    - #### getCommentList

          public CommentSoapList getCommentList(String sessionId,
                                                String objectId)
                                         throws RemoteException

      Simulate a call to getCommentList
      Specified by:
        `getCommentList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `objectId` - Object id.
      Returns:
        List of comments.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the object id is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation
        `com.collabnet.ce.soap60.fault.SystemFault` - When an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getCommentList(java.lang.String, java.lang.String)`

    - #### prepareListAttachments

          public void prepareListAttachments(String sessionId,
                                             String objectId,
                                             Object returnValue)

      Prepare a simulated response to listAttachments
      See Also:
        `CollabNetSoap.listAttachments(java.lang.String, java.lang.String)`

    - #### listAttachments

          public AttachmentSoapList listAttachments(String sessionId,
                                                    String objectId)
                                             throws RemoteException

      Simulate a call to listAttachments
      Specified by:
        `listAttachments` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `objectId` - the id of the object from which attachments are to be listed
      Returns:
        List of attachments, does not include the actual file.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the object id is not valid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user doesn't have permission to perform the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - If an unexpected system fault occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.listAttachments(java.lang.String, java.lang.String)`

    - #### prepareDeleteAttachment

          public void prepareDeleteAttachment(String sessionId,
                                              String objectId,
                                              String attachmentId)

      Prepare a simulated response to deleteAttachment
      See Also:
        `CollabNetSoap.deleteAttachment(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteAttachment

          public void prepareDeleteAttachment(String sessionId,
                                              String objectId,
                                              String attachmentId,
                                              Exception exception)

      Prepare a simulated response to deleteAttachment
      See Also:
        `CollabNetSoap.deleteAttachment(java.lang.String, java.lang.String, java.lang.String)`

    - #### deleteAttachment

          public void deleteAttachment(String sessionId,
                                       String objectId,
                                       String attachmentId)
                                throws RemoteException

      Simulate a call to deleteAttachment
      Specified by:
        `deleteAttachment` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `objectId` - The id of the object from which attachment has to be deleted.
        `attachmentId` - The attachment id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.deleteAttachment(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateAssociation

          public void prepareCreateAssociation(String sessionId,
                                               String originId,
                                               String targetId,
                                               String description)

      Prepare a simulated response to createAssociation
      See Also:
        `CollabNetSoap.createAssociation(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateAssociation

          public void prepareCreateAssociation(String sessionId,
                                               String originId,
                                               String targetId,
                                               String description,
                                               Exception exception)

      Prepare a simulated response to createAssociation
      See Also:
        `CollabNetSoap.createAssociation(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createAssociation

          public void createAssociation(String sessionId,
                                        String originId,
                                        String targetId,
                                        String description)
                                 throws RemoteException

      Simulate a call to createAssociation
      Specified by:
        `createAssociation` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `originId` - the origin object's id (Only CTF objects can be passed as origin id)
        `targetId` - the target object's id (Incase of pluggable app object, provide the object id for targetId parameter)
        `description` - the description for the association
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the user's session is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to create the association
        `com.collabnet.ce.soap60.fault.SystemFault` - if an unexpected system error occurs
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if the origin or target objects do not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if a valid association cannot be created between the given objects
        `RemoteException`
      See Also:
        `CollabNetSoap.createAssociation(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateAssociationWithTitles

          public void prepareCreateAssociationWithTitles(String sessionId,
                                                         String originId,
                                                         String originTitle,
                                                         String targetId,
                                                         String targetTitle,
                                                         String description)

      Prepare a simulated response to createAssociationWithTitles
      See Also:
        `CollabNetSoap.createAssociationWithTitles(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareCreateAssociationWithTitles

          public void prepareCreateAssociationWithTitles(String sessionId,
                                                         String originId,
                                                         String originTitle,
                                                         String targetId,
                                                         String targetTitle,
                                                         String description,
                                                         Exception exception)

      Prepare a simulated response to createAssociationWithTitles
      See Also:
        `CollabNetSoap.createAssociationWithTitles(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### createAssociationWithTitles

          public void createAssociationWithTitles(String sessionId,
                                                  String originId,
                                                  String originTitle,
                                                  String targetId,
                                                  String targetTitle,
                                                  String description)
                                           throws RemoteException

      Simulate a call to createAssociationWithTitles
      Specified by:
        `createAssociationWithTitles` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `originId` - the origin object's id (Only CTF objects can be passed as origin id)
        `originTitle` - the origin object's title (As of 7.0 originTitle will be ignored completely)
        `targetId` - the target object's id (For pluggable app object, provide the object id for targetId parameter)
        `targetTitle` - the target object's title (CTF objects title will not be stored. Only title supplied for IAF Objects will be stored)
        `description` - the description for the association
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the user's session is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to create the association
        `com.collabnet.ce.soap60.fault.SystemFault` - if an unexpected system error occurs
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if the origin or target objects do not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if a valid association cannot be created between the given objects
        `RemoteException`
      See Also:
        `CollabNetSoap.createAssociationWithTitles(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareChangeIAObjectTitle

          public void prepareChangeIAObjectTitle(String sessionId,
                                                 String pluggableObjectId,
                                                 String pluggableObjectTitle)

      Prepare a simulated response to changeIAObjectTitle
      See Also:
        `CollabNetSoap.changeIAObjectTitle(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareChangeIAObjectTitle

          public void prepareChangeIAObjectTitle(String sessionId,
                                                 String pluggableObjectId,
                                                 String pluggableObjectTitle,
                                                 Exception exception)

      Prepare a simulated response to changeIAObjectTitle
      See Also:
        `CollabNetSoap.changeIAObjectTitle(java.lang.String, java.lang.String, java.lang.String)`

    - #### changeIAObjectTitle

          public void changeIAObjectTitle(String sessionId,
                                          String pluggableObjectId,
                                          String pluggableObjectTitle)
                                   throws RemoteException

      Simulate a call to changeIAObjectTitle
      Specified by:
        `changeIAObjectTitle` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `pluggableObjectId` - The pluggable app object id, provide the object id for which the title needs to be updated
        `pluggableObjectTitle` - the pluggable object's title (Pluggable objects could pass the object title to be updated in CTF)
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the user's session is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to create the association
        `com.collabnet.ce.soap60.fault.SystemFault` - if an unexpected system error occurs
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if the origin or target objects do not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if a valid association cannot be created between the given objects
        `RemoteException`
      See Also:
        `CollabNetSoap.changeIAObjectTitle(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareVerifyCTFObjectPermissionForAssociation

          public void prepareVerifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey objectKey,
                                                                     String permissionName,
                                                                     String loggedInUser)

      Prepare a simulated response to verifyCTFObjectPermissionForAssociation
      See Also:
        `CollabNetSoap.verifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey, java.lang.String, java.lang.String)`

    - #### prepareVerifyCTFObjectPermissionForAssociation

          public void prepareVerifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey objectKey,
                                                                     String permissionName,
                                                                     String loggedInUser,
                                                                     Exception exception)

      Prepare a simulated response to verifyCTFObjectPermissionForAssociation
      See Also:
        `CollabNetSoap.verifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey, java.lang.String, java.lang.String)`

    - #### verifyCTFObjectPermissionForAssociation

          public void verifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey objectKey,
                                                              String permissionName,
                                                              String loggedInUser)
                                                       throws RemoteException

      Simulate a call to verifyCTFObjectPermissionForAssociation
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.verifyCTFObjectPermissionForAssociation(com.vasoftware.sf.server.types.ObjectKey, java.lang.String, java.lang.String)`

    - #### prepareVerifyPluggableObjectPermission

          public void prepareVerifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey plugObjectKey,
                                                             String loggedInUser)

      Prepare a simulated response to verifyPluggableObjectPermission
      See Also:
        `CollabNetSoap.verifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey, java.lang.String)`

    - #### prepareVerifyPluggableObjectPermission

          public void prepareVerifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey plugObjectKey,
                                                             String loggedInUser,
                                                             Exception exception)

      Prepare a simulated response to verifyPluggableObjectPermission
      See Also:
        `CollabNetSoap.verifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey, java.lang.String)`

    - #### verifyPluggableObjectPermission

          public void verifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey plugObjectKey,
                                                      String loggedInUser)
                                               throws RemoteException

      Simulate a call to verifyPluggableObjectPermission
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.verifyPluggableObjectPermission(com.vasoftware.sf.server.types.GlobalPlugComponentKey, java.lang.String)`

    - #### prepareVerifyDocumentReviewObjectPermission

          public void prepareVerifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey,
                                                                  String permission,
                                                                  String loggedInUser)

      Prepare a simulated response to verifyDocumentReviewObjectPermission
      See Also:
        `CollabNetSoap.verifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey, java.lang.String, java.lang.String)`

    - #### prepareVerifyDocumentReviewObjectPermission

          public void prepareVerifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey,
                                                                  String permission,
                                                                  String loggedInUser,
                                                                  Exception exception)

      Prepare a simulated response to verifyDocumentReviewObjectPermission
      See Also:
        `CollabNetSoap.verifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey, java.lang.String, java.lang.String)`

    - #### verifyDocumentReviewObjectPermission

          public void verifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey docDocumentReviewObjectKey,
                                                           String permission,
                                                           String loggedInUser)
                                                    throws RemoteException

      Simulate a call to verifyDocumentReviewObjectPermission
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.verifyDocumentReviewObjectPermission(com.vasoftware.sf.server.types.DocumentReviewKey, java.lang.String, java.lang.String)`

    - #### prepareDeleteAssociation

          public void prepareDeleteAssociation(String sessionId,
                                               String originId,
                                               String targetId)

      Prepare a simulated response to deleteAssociation
      See Also:
        `CollabNetSoap.deleteAssociation(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteAssociation

          public void prepareDeleteAssociation(String sessionId,
                                               String originId,
                                               String targetId,
                                               Exception exception)

      Prepare a simulated response to deleteAssociation
      See Also:
        `CollabNetSoap.deleteAssociation(java.lang.String, java.lang.String, java.lang.String)`

    - #### deleteAssociation

          public void deleteAssociation(String sessionId,
                                        String originId,
                                        String targetId)
                                 throws RemoteException

      Simulate a call to deleteAssociation
      Specified by:
        `deleteAssociation` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `originId` - the origin object's id (Only CTF objects can be passed as origin id)
        `targetId` - the target object's id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - if the user's session is not valid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to delete the association
        `com.collabnet.ce.soap60.fault.SystemFault` - if an unexpected system error occurs
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if the origin or target objects do not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if an association does not exist between the given objects
        `RemoteException`
      See Also:
        `CollabNetSoap.deleteAssociation(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteProject

          public void prepareDeleteProject(String sessionId,
                                           String projectId,
                                           boolean noNotification,
                                           boolean forceDeleteEvenIfChildFound)

      Prepare a simulated response to deleteProject
      See Also:
        `CollabNetSoap.deleteProject(java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareDeleteProject

          public void prepareDeleteProject(String sessionId,
                                           String projectId,
                                           boolean noNotification,
                                           boolean forceDeleteEvenIfChildFound,
                                           Exception exception)

      Prepare a simulated response to deleteProject
      See Also:
        `CollabNetSoap.deleteProject(java.lang.String, java.lang.String, boolean, boolean)`

    - #### deleteProject

          public void deleteProject(String sessionId,
                                    String projectId,
                                    boolean noNotification,
                                    boolean forceDeleteEvenIfChildFound)
                             throws RemoteException

      Simulate a call to deleteProject
      Specified by:
        `deleteProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectId` - The id of the project to be deleted
        `noNotification` - if true no notifications will be sent.
        `forceDeleteEvenIfChildFound` - delete even if there are child projects
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if we can't find the project with the specified project id
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.ParentRoleUsedInChildProjectsFault` - when a role of the project is used in its child projects.
        `com.collabnet.ce.soap60.fault.ChildProjectsFoundFault` - thrown if any child projects are found for the project that is deleted.
        `RemoteException`
      See Also:
        `CollabNetSoap.deleteProject(java.lang.String, java.lang.String, boolean, boolean)`

    - #### prepareGetAssociationList

          public void prepareGetAssociationList(String sessionId,
                                                String objectId,
                                                Object returnValue)

      Prepare a simulated response to getAssociationList
      See Also:
        `CollabNetSoap.getAssociationList(java.lang.String, java.lang.String)`

    - #### getAssociationList

          public AssociationSoapList getAssociationList(String sessionId,
                                                        String objectId)
                                                 throws RemoteException

      Simulate a call to getAssociationList
      Specified by:
        `getAssociationList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The current session id.
        `objectId` - The id of the object that has associations.
      Returns:
        A list of associations for the given object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is not valid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - If the object does not exist or is deleted.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If you are not allowed to view the object or its associations.
        `com.collabnet.ce.soap60.fault.SystemFault` - If an unexpected error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getAssociationList(java.lang.String, java.lang.String)`

    - #### prepareGetAuditHistoryList

          public void prepareGetAuditHistoryList(String sessionId,
                                                 String objectId,
                                                 boolean includeDerivedChanges,
                                                 Object returnValue)

      Prepare a simulated response to getAuditHistoryList
      See Also:
        `CollabNetSoap.getAuditHistoryList(java.lang.String, java.lang.String, boolean)`

    - #### getAuditHistoryList

          public AuditHistorySoapList getAuditHistoryList(String sessionId,
                                                          String objectId,
                                                          boolean includeDerivedChanges)
                                                   throws RemoteException

      Simulate a call to getAuditHistoryList
      Specified by:
        `getAuditHistoryList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The current session id.
        `objectId` - ID of the object.
        `includeDerivedChanges` - whether we want to get the derived entries(effort fields changed for autosummed artfs)
      Returns:
        List of changes made to the specified object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session is not valid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - If the object does not exist or is deleted.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If you are not allowed to view the object or its associations.
        `com.collabnet.ce.soap60.fault.SystemFault` - If an unexpected error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the objectId is not a task or an artifact.
        `RemoteException`
      See Also:
        `CollabNetSoap.getAuditHistoryList(java.lang.String, java.lang.String, boolean)`

    - #### prepareGetVersionInformationList

          public void prepareGetVersionInformationList(String sessionId,
                                                       String folderId,
                                                       Object returnValue)

      Prepare a simulated response to getVersionInformationList
      See Also:
        `CollabNetSoap.getVersionInformationList(java.lang.String, java.lang.String)`

    - #### getVersionInformationList

          public VersionInformationSoapList getVersionInformationList(String sessionId,
                                                                      String folderId)
                                                               throws RemoteException

      Simulate a call to getVersionInformationList
      Specified by:
        `getVersionInformationList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - Soap session id
        `folderId` - Folder to obtain the list for
      Returns:
        The version information
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the folder does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permissions are denied for the operation.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getVersionInformationList(java.lang.String, java.lang.String)`

    - #### prepareReindexObject

          public void prepareReindexObject(String sessionId,
                                           String objectId)

      Prepare a simulated response to reindexObject
      See Also:
        `CollabNetSoap.reindexObject(java.lang.String, java.lang.String)`

    - #### prepareReindexObject

          public void prepareReindexObject(String sessionId,
                                           String objectId,
                                           Exception exception)

      Prepare a simulated response to reindexObject
      See Also:
        `CollabNetSoap.reindexObject(java.lang.String, java.lang.String)`

    - #### reindexObject

          public void reindexObject(String sessionId,
                                    String objectId)
                             throws RemoteException

      Simulate a call to reindexObject
      Specified by:
        `reindexObject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session ID (must be a system administrator to perform this operation)
        `objectId` - Project to re-index.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the user session ID is invalid or timed out.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user does not have sufficient privileges (must be a system admin).
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object ID is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.reindexObject(java.lang.String, java.lang.String)`

    - #### prepareGetUserEffectiveMode

          public void prepareGetUserEffectiveMode(String sessionId,
                                                  Object returnValue)

      Prepare a simulated response to getUserEffectiveMode
      See Also:
        `CollabNetSoap.getUserEffectiveMode(java.lang.String)`

    - #### getUserEffectiveMode

          public String getUserEffectiveMode(String sessionId)
                                      throws RemoteException

      Simulate a call to getUserEffectiveMode
      Specified by:
        `getUserEffectiveMode` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - Session id.
      Returns:
        effective mode (ALM or SCM) for the current user
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the user session ID is invalid or timed out.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserEffectiveMode(java.lang.String)`

    - #### prepareIsHostedMode

          public void prepareIsHostedMode(String sessionId,
                                          Object returnValue)

      Prepare a simulated response to isHostedMode
      See Also:
        `CollabNetSoap.isHostedMode(java.lang.String)`

    - #### isHostedMode

          public boolean isHostedMode(String sessionId)
                               throws RemoteException

      Simulate a call to isHostedMode
      Specified by:
        `isHostedMode` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - Session id.
      Returns:
        true if the appserver is running in Hosted Mode.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the user session ID is invalid or timed out.
        `RemoteException`
      See Also:
        `CollabNetSoap.isHostedMode(java.lang.String)`

    - #### prepareGetProjectDiskUsage

          public void prepareGetProjectDiskUsage(String sessionId,
                                                 String projectId,
                                                 Object returnValue)

      Prepare a simulated response to getProjectDiskUsage
      See Also:
        `CollabNetSoap.getProjectDiskUsage(java.lang.String, java.lang.String)`

    - #### getProjectDiskUsage

          public long getProjectDiskUsage(String sessionId,
                                          String projectId)
                                   throws RemoteException

      Simulate a call to getProjectDiskUsage
      Specified by:
        `getProjectDiskUsage` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the soap session key
        `projectId` - the id of the project
      Returns:
        the file storage disk usage of a project
      Throws:
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - thrown if the project was not found.
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - thrown if the session id is not valid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - thrown if sessionId is not a session started by an admin.
        `com.collabnet.ce.soap60.fault.SystemFault` - If there was a problem checking the permissions.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectDiskUsage(java.lang.String, java.lang.String)`

    - #### prepareGetProjectQuota

          public void prepareGetProjectQuota(String sessionId,
                                             String projectId,
                                             Object returnValue)

      Prepare a simulated response to getProjectQuota
      See Also:
        `CollabNetSoap.getProjectQuota(java.lang.String, java.lang.String)`

    - #### getProjectQuota

          public long getProjectQuota(String sessionId,
                                      String projectId)
                               throws RemoteException

      Simulate a call to getProjectQuota
      Specified by:
        `getProjectQuota` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The id of the current session.
        `projectId` - The id of the project.
      Returns:
        The disk quota for the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session id is not valid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - If the project id does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user is not allowed to view this information.
        `com.collabnet.ce.soap60.fault.SystemFault` - If there was a problem checking the permissions.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectQuota(java.lang.String, java.lang.String)`

    - #### prepareSetProjectQuota

          public void prepareSetProjectQuota(String sessionId,
                                             String projectId,
                                             long quota)

      Prepare a simulated response to setProjectQuota
      See Also:
        `CollabNetSoap.setProjectQuota(java.lang.String, java.lang.String, long)`

    - #### prepareSetProjectQuota

          public void prepareSetProjectQuota(String sessionId,
                                             String projectId,
                                             long quota,
                                             Exception exception)

      Prepare a simulated response to setProjectQuota
      See Also:
        `CollabNetSoap.setProjectQuota(java.lang.String, java.lang.String, long)`

    - #### setProjectQuota

          public void setProjectQuota(String sessionId,
                                      String projectId,
                                      long quota)
                               throws RemoteException

      Simulate a call to setProjectQuota
      Specified by:
        `setProjectQuota` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The id of the current session.
        `projectId` - The id of the project.
        `quota` - The disk quota to be set for the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - If the session id is not valid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - If the project id does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If the user is not allowed to view this information.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.setProjectQuota(java.lang.String, java.lang.String, long)`

    - #### prepareGetConfigurationValue

          public void prepareGetConfigurationValue(String sessionId,
                                                   String keyValue,
                                                   Object returnValue)

      Prepare a simulated response to getConfigurationValue
      See Also:
        `CollabNetSoap.getConfigurationValue(java.lang.String, java.lang.String)`

    - #### getConfigurationValue

          public String getConfigurationValue(String sessionId,
                                              String keyValue)
                                       throws RemoteException

      Simulate a call to getConfigurationValue
      Specified by:
        `getConfigurationValue` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - The id of the current session.
        `keyValue` - of the configuration parameter sought for as String.(Currently supported for 'RequireAssociationOnDocumentCreate', 'RequireArtifactToBeOpenOnDocumentAssociation', 'AllowedAssociationTypeOnDocumentCreate', 'ProjectAccessEditable')
      Returns:
        The configuration value of the key requested.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the user session ID is invalid or timed out.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getConfigurationValue(java.lang.String, java.lang.String)`

    - #### prepareGetProjectByPath

          public void prepareGetProjectByPath(String sessionId,
                                              String projectPath,
                                              Object returnValue)

      Prepare a simulated response to getProjectByPath
      See Also:
        `CollabNetSoap.getProjectByPath(java.lang.String, java.lang.String)`

    - #### getProjectByPath

          public ProjectSoapDO getProjectByPath(String sessionId,
                                                String projectPath)
                                         throws RemoteException

      Simulate a call to getProjectByPath
      Specified by:
        `getProjectByPath` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectPath` - path for which the project info. is requested
      Returns:
        a ProjectSoapDO for a given project path.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectByPath(java.lang.String, java.lang.String)`

    - #### prepareListUsersWithGeneralPermission

          public void prepareListUsersWithGeneralPermission(String sessionId,
                                                            String projectId,
                                                            String operationString,
                                                            String folderId,
                                                            Object returnValue)

      Prepare a simulated response to listUsersWithGeneralPermission
      See Also:
        `CollabNetSoap.listUsersWithGeneralPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### listUsersWithGeneralPermission

          public UserSoapList listUsersWithGeneralPermission(String sessionId,
                                                             String projectId,
                                                             String operationString,
                                                             String folderId)
                                                      throws RemoteException

      Simulate a call to listUsersWithGeneralPermission
      Specified by:
        `listUsersWithGeneralPermission` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectId` - project for which permission is checked
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `folderId` - id of the folder for which permission needs to be checked.
      Returns:
        List of users who have permission on the given object for the given operation
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when session is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the objectId does not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the operationString is in an invalid format
        `com.collabnet.ce.soap60.fault.SystemFault` - any other exceptions
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If user does not have project view permission
        `RemoteException`
      See Also:
        `CollabNetSoap.listUsersWithGeneralPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareHasGeneralPermission

          public void prepareHasGeneralPermission(String sessionId,
                                                  String username,
                                                  String projectId,
                                                  String operationString,
                                                  String objectId,
                                                  Object returnValue)

      Prepare a simulated response to hasGeneralPermission
      See Also:
        `CollabNetSoap.hasGeneralPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### hasGeneralPermission

          public boolean hasGeneralPermission(String sessionId,
                                              String username,
                                              String projectId,
                                              String operationString,
                                              String objectId)
                                       throws RemoteException

      Simulate a call to hasGeneralPermission
      Specified by:
        `hasGeneralPermission` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session
        `username` - user for which permission needs to be checked
        `projectId` - Project for which permission is checked
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `objectId` - Object id can't be null for which permission needs to be checked.
      Returns:
        Does the user has permission on this resource for this project Note on an exceptional behavior: It returns false, if the calling user does not have 'Project view' permission.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When Session is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the objectId does not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - Illegal arguments for the operation string
        `com.collabnet.ce.soap60.fault.SystemFault` - Any other exceptions
        `RemoteException`
      See Also:
        `CollabNetSoap.hasGeneralPermission(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareHasSitewideRolePermission

          public void prepareHasSitewideRolePermission(String sessionId,
                                                       String operationString,
                                                       Object returnValue)

      Prepare a simulated response to hasSitewideRolePermission
      See Also:
        `CollabNetSoap.hasSitewideRolePermission(java.lang.String, java.lang.String)`

    - #### hasSitewideRolePermission

          public boolean hasSitewideRolePermission(String sessionId,
                                                   String operationString)
                                            throws RemoteException

      Simulate a call to hasSitewideRolePermission
      Specified by:
        `hasSitewideRolePermission` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
      Returns:
        true if the user has the permission for the operation at Site-Wide scope, false otherwise.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the operationString is in an invalid format
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs
        `RemoteException`
      See Also:
        `CollabNetSoap.hasSitewideRolePermission(java.lang.String, java.lang.String)`

    - #### prepareSetParentProject

          public void prepareSetParentProject(String sessionId,
                                              String projectId,
                                              String parentProjectId)

      Prepare a simulated response to setParentProject
      See Also:
        `CollabNetSoap.setParentProject(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetParentProject

          public void prepareSetParentProject(String sessionId,
                                              String projectId,
                                              String parentProjectId,
                                              Exception exception)

      Prepare a simulated response to setParentProject
      See Also:
        `CollabNetSoap.setParentProject(java.lang.String, java.lang.String, java.lang.String)`

    - #### setParentProject

          public void setParentProject(String sessionId,
                                       String projectId,
                                       String parentProjectId)
                                throws RemoteException

      Simulate a call to setParentProject
      Specified by:
        `setParentProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - Id of the project whose parent needs to be set.
        `parentProjectId` - Id of the project which is to be set as parent; null/empty, removes the parent.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the parent is one of the child projects or is same as the project.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have permission to do this (only site admins can perform this operation)
        `com.collabnet.ce.soap60.fault.ChangeParentNotAllowedFault` - if the project is system project (look project).
        `com.collabnet.ce.soap60.fault.ParentRoleUsedInChildProjectsFault` - if any role of this or ancestor project is used by child of this project.
        `com.collabnet.ce.soap60.fault.SystemFault` - unexpected error
        `RemoteException`
      See Also:
        `CollabNetSoap.setParentProject(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetProjectHierarchyPaths

          public void prepareGetProjectHierarchyPaths(String sessionId,
                                                      String[] projectIds,
                                                      Object returnValue)

      Prepare a simulated response to getProjectHierarchyPaths
      See Also:
        `CollabNetSoap.getProjectHierarchyPaths(java.lang.String, java.lang.String[])`

    - #### getProjectHierarchyPaths

          public com.collabnet.ce.soap60.types.SoapNamedValues getProjectHierarchyPaths(String sessionId,
                                                                                        String[] projectIds)
                                                                                 throws RemoteException

      Simulate a call to getProjectHierarchyPaths
      Specified by:
        `getProjectHierarchyPaths` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectIds` - An array of project Ids.
      Returns:
        A name-value pair of project hierarchy paths, project id string as name and hierarchy path string of the project as value.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs or if one of the projectIds passed is a Project Group's Id.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges on any of the given projects.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectHierarchyPaths(java.lang.String, java.lang.String[])`

    - #### prepareGetCurrentTime

          public void prepareGetCurrentTime(String sessionId,
                                            Object returnValue)

      Prepare a simulated response to getCurrentTime
      See Also:
        `CollabNetSoap.getCurrentTime(java.lang.String)`

    - #### getCurrentTime

          public long getCurrentTime(String sessionId)
                              throws RemoteException

      Simulate a call to getCurrentTime
      Specified by:
        `getCurrentTime` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id.
      Returns:
        the current server time in milliseconds
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.getCurrentTime(java.lang.String)`

    - #### prepareCanReceiveOwnUpdates

          public void prepareCanReceiveOwnUpdates(String sessionId,
                                                  Object returnValue)

      Prepare a simulated response to canReceiveOwnUpdates
      See Also:
        `CollabNetSoap.canReceiveOwnUpdates(java.lang.String)`

    - #### canReceiveOwnUpdates

          public boolean canReceiveOwnUpdates(String sessionId)
                                       throws RemoteException

      Simulate a call to canReceiveOwnUpdates
      Specified by:
        `canReceiveOwnUpdates` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id.
      Returns:
        whether the user can receive notifications on own updates
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when anything unexpected happen.
        `RemoteException`
      See Also:
        `CollabNetSoap.canReceiveOwnUpdates(java.lang.String)`

    - #### prepareGetPasswordRequirements

          public void prepareGetPasswordRequirements(String loggedInUser,
                                                     Object returnValue)

      Prepare a simulated response to getPasswordRequirements
      See Also:
        `CollabNetSoap.getPasswordRequirements(java.lang.String)`

    - #### getPasswordRequirements

          public String getPasswordRequirements(String loggedInUser)
                                         throws RemoteException

      Simulate a call to getPasswordRequirements
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getPasswordRequirements(java.lang.String)`

    - #### prepareCreateProjectGroup

          public void prepareCreateProjectGroup(String sessionId,
                                                String title,
                                                String description,
                                                Object returnValue)

      Prepare a simulated response to createProjectGroup
      See Also:
        `CollabNetSoap.createProjectGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### createProjectGroup

          public ProjectGroupSoapDO createProjectGroup(String sessionId,
                                                       String title,
                                                       String description)
                                                throws RemoteException

      Simulate a call to createProjectGroup
      Specified by:
        `createProjectGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `title` - The title of the project group
        `description` - The description of the project group
      Returns:
        The project group data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the project group with that name already exists.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data was passed in
        `RemoteException`
      See Also:
        `CollabNetSoap.createProjectGroup(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareAddProjectsToProjectGroup

          public void prepareAddProjectsToProjectGroup(String sessionId,
                                                       String projectGroupId,
                                                       String[] projectIds)

      Prepare a simulated response to addProjectsToProjectGroup
      See Also:
        `CollabNetSoap.addProjectsToProjectGroup(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareAddProjectsToProjectGroup

          public void prepareAddProjectsToProjectGroup(String sessionId,
                                                       String projectGroupId,
                                                       String[] projectIds,
                                                       Exception exception)

      Prepare a simulated response to addProjectsToProjectGroup
      See Also:
        `CollabNetSoap.addProjectsToProjectGroup(java.lang.String, java.lang.String, java.lang.String[])`

    - #### addProjectsToProjectGroup

          public void addProjectsToProjectGroup(String sessionId,
                                                String projectGroupId,
                                                String[] projectIds)
                                         throws RemoteException

      Simulate a call to addProjectsToProjectGroup
      Specified by:
        `addProjectsToProjectGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the user session id
        `projectGroupId` - the project group id
        `projectIds` - the project ids
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when invalid data was passed in
        `RemoteException`
      See Also:
        `CollabNetSoap.addProjectsToProjectGroup(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareListProjectGroups

          public void prepareListProjectGroups(String sessionId,
                                               Object returnValue)

      Prepare a simulated response to listProjectGroups
      See Also:
        `CollabNetSoap.listProjectGroups(java.lang.String)`

    - #### listProjectGroups

          public ProjectGroupSoapList listProjectGroups(String sessionId)
                                                 throws RemoteException

      Simulate a call to listProjectGroups
      Specified by:
        `listProjectGroups` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
      Returns:
        List of project groups
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault`
        `RemoteException`
      See Also:
        `CollabNetSoap.listProjectGroups(java.lang.String)`

    - #### prepareGetProjectGroupData

          public void prepareGetProjectGroupData(String sessionId,
                                                 String projectGroupId,
                                                 Object returnValue)

      Prepare a simulated response to getProjectGroupData
      See Also:
        `CollabNetSoap.getProjectGroupData(java.lang.String, java.lang.String)`

    - #### getProjectGroupData

          public ProjectGroupSoapDO getProjectGroupData(String sessionId,
                                                        String projectGroupId)
                                                 throws RemoteException

      Simulate a call to getProjectGroupData
      Specified by:
        `getProjectGroupData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectGroupId` - project group Id
      Returns:
        projectGroupSoapDO Project Group data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectGroupData(java.lang.String, java.lang.String)`

    - #### prepareSetProjectGroupData

          public void prepareSetProjectGroupData(String sessionId,
                                                 ProjectGroupSoapDO projectGroupData)

      Prepare a simulated response to setProjectGroupData
      See Also:
        `CollabNetSoap.setProjectGroupData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.ProjectGroupSoapDO)`

    - #### prepareSetProjectGroupData

          public void prepareSetProjectGroupData(String sessionId,
                                                 ProjectGroupSoapDO projectGroupData,
                                                 Exception exception)

      Prepare a simulated response to setProjectGroupData
      See Also:
        `CollabNetSoap.setProjectGroupData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.ProjectGroupSoapDO)`

    - #### setProjectGroupData

          public void setProjectGroupData(String sessionId,
                                          ProjectGroupSoapDO projectGroupData)
                                   throws RemoteException

      Simulate a call to setProjectGroupData
      Specified by:
        `setProjectGroupData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectGroupData` - project group's ProjectGroupSoapDO
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when the project group version being edited is not the latest one
        `RemoteException`
      See Also:
        `CollabNetSoap.setProjectGroupData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.ProjectGroupSoapDO)`

    - #### prepareAddProjectGroupAdmins

          public void prepareAddProjectGroupAdmins(String sessionId,
                                                   String projectGroupId,
                                                   String[] usernames)

      Prepare a simulated response to addProjectGroupAdmins
      See Also:
        `CollabNetSoap.addProjectGroupAdmins(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareAddProjectGroupAdmins

          public void prepareAddProjectGroupAdmins(String sessionId,
                                                   String projectGroupId,
                                                   String[] usernames,
                                                   Exception exception)

      Prepare a simulated response to addProjectGroupAdmins
      See Also:
        `CollabNetSoap.addProjectGroupAdmins(java.lang.String, java.lang.String, java.lang.String[])`

    - #### addProjectGroupAdmins

          public void addProjectGroupAdmins(String sessionId,
                                            String projectGroupId,
                                            String[] usernames)
                                     throws RemoteException

      Simulate a call to addProjectGroupAdmins
      Specified by:
        `addProjectGroupAdmins` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectGroupId` - project group's id
        `usernames` - The username of the users that need to be made as admins for this Project Group
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid or if the projectGroupId is in fact not a Project Group's id.
        `RemoteException`
      See Also:
        `CollabNetSoap.addProjectGroupAdmins(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareRemoveProjectGroupAdmins

          public void prepareRemoveProjectGroupAdmins(String sessionId,
                                                      String projectGroupId,
                                                      String[] usernames)

      Prepare a simulated response to removeProjectGroupAdmins
      See Also:
        `CollabNetSoap.removeProjectGroupAdmins(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareRemoveProjectGroupAdmins

          public void prepareRemoveProjectGroupAdmins(String sessionId,
                                                      String projectGroupId,
                                                      String[] usernames,
                                                      Exception exception)

      Prepare a simulated response to removeProjectGroupAdmins
      See Also:
        `CollabNetSoap.removeProjectGroupAdmins(java.lang.String, java.lang.String, java.lang.String[])`

    - #### removeProjectGroupAdmins

          public void removeProjectGroupAdmins(String sessionId,
                                               String projectGroupId,
                                               String[] usernames)
                                        throws RemoteException

      Simulate a call to removeProjectGroupAdmins
      Specified by:
        `removeProjectGroupAdmins` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectGroupId` - project group's id
        `usernames` - The username of the users that need to be made as admins for this Project Group
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.removeProjectGroupAdmins(java.lang.String, java.lang.String, java.lang.String[])`

    - #### prepareGetMemberProjectsForProjectGroup

          public void prepareGetMemberProjectsForProjectGroup(String sessionId,
                                                              String projectGroupId,
                                                              Object returnValue)

      Prepare a simulated response to getMemberProjectsForProjectGroup
      See Also:
        `CollabNetSoap.getMemberProjectsForProjectGroup(java.lang.String, java.lang.String)`

    - #### getMemberProjectsForProjectGroup

          public ProjectSoapList getMemberProjectsForProjectGroup(String sessionId,
                                                                  String projectGroupId)
                                                           throws RemoteException

      Simulate a call to getMemberProjectsForProjectGroup
      Specified by:
        `getMemberProjectsForProjectGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the user session id
        `projectGroupId` - the project group id
      Returns:
        ProjectList the list of projects.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the given projectGroupId does not exist.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getMemberProjectsForProjectGroup(java.lang.String, java.lang.String)`

    - #### prepareRemoveProjectsFromProjectGroup

          public void prepareRemoveProjectsFromProjectGroup(String sessionId,
                                                            String[] projectMemberIds,
                                                            String projectGroupId)

      Prepare a simulated response to removeProjectsFromProjectGroup
      See Also:
        `CollabNetSoap.removeProjectsFromProjectGroup(java.lang.String, java.lang.String[], java.lang.String)`

    - #### prepareRemoveProjectsFromProjectGroup

          public void prepareRemoveProjectsFromProjectGroup(String sessionId,
                                                            String[] projectMemberIds,
                                                            String projectGroupId,
                                                            Exception exception)

      Prepare a simulated response to removeProjectsFromProjectGroup
      See Also:
        `CollabNetSoap.removeProjectsFromProjectGroup(java.lang.String, java.lang.String[], java.lang.String)`

    - #### removeProjectsFromProjectGroup

          public void removeProjectsFromProjectGroup(String sessionId,
                                                     String[] projectMemberIds,
                                                     String projectGroupId)
                                              throws RemoteException

      Simulate a call to removeProjectsFromProjectGroup
      Specified by:
        `removeProjectsFromProjectGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session id
        `projectMemberIds` - project members in project group
        `projectGroupId` - project group id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault`
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `RemoteException`
      See Also:
        `CollabNetSoap.removeProjectsFromProjectGroup(java.lang.String, java.lang.String[], java.lang.String)`

    - #### prepareRemoveProjectGroupMember

          public void prepareRemoveProjectGroupMember(String sessionId,
                                                      String projectGroupId,
                                                      String userName)

      Prepare a simulated response to removeProjectGroupMember
      See Also:
        `CollabNetSoap.removeProjectGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareRemoveProjectGroupMember

          public void prepareRemoveProjectGroupMember(String sessionId,
                                                      String projectGroupId,
                                                      String userName,
                                                      Exception exception)

      Prepare a simulated response to removeProjectGroupMember
      See Also:
        `CollabNetSoap.removeProjectGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### removeProjectGroupMember

          public void removeProjectGroupMember(String sessionId,
                                               String projectGroupId,
                                               String userName)
                                        throws RemoteException

      Simulate a call to removeProjectGroupMember
      Specified by:
        `removeProjectGroupMember` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectGroupId` - Id of the project group.
        `userName` - Name of the new user.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.RemoveOnlyProjectAdminFault` - attempting to remove last project group admin
        `RemoteException`
      See Also:
        `CollabNetSoap.removeProjectGroupMember(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareGetProjectGroupMemberList

          public void prepareGetProjectGroupMemberList(String sessionId,
                                                       String projectGroupId,
                                                       Object returnValue)

      Prepare a simulated response to getProjectGroupMemberList
      See Also:
        `CollabNetSoap.getProjectGroupMemberList(java.lang.String, java.lang.String)`

    - #### getProjectGroupMemberList

          public ProjectGroupMemberSoapList getProjectGroupMemberList(String sessionId,
                                                                      String projectGroupId)
                                                               throws RemoteException

      Simulate a call to getProjectGroupMemberList
      Specified by:
        `getProjectGroupMemberList` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectGroupId` - Id of the project group.
      Returns:
        Members of project group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectGroupMemberList(java.lang.String, java.lang.String)`

    - #### prepareGetProjectGroupsForProject

          public void prepareGetProjectGroupsForProject(String sessionId,
                                                        String projectId,
                                                        Object returnValue)

      Prepare a simulated response to getProjectGroupsForProject
      See Also:
        `CollabNetSoap.getProjectGroupsForProject(java.lang.String, java.lang.String)`

    - #### getProjectGroupsForProject

          public ProjectGroupSoapList getProjectGroupsForProject(String sessionId,
                                                                 String projectId)
                                                          throws RemoteException

      Simulate a call to getProjectGroupsForProject
      Specified by:
        `getProjectGroupsForProject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - project id
      Returns:
        projectgroup list
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectGroupsForProject(java.lang.String, java.lang.String)`

    - #### prepareGetProjectGroupsForProject1

          public void prepareGetProjectGroupsForProject1(String sessionId,
                                                         String projectId,
                                                         Object returnValue)

      Prepare a simulated response to getProjectGroupsForProject1
      See Also:
        `CollabNetSoap.getProjectGroupsForProject1(java.lang.String, java.lang.String)`

    - #### getProjectGroupsForProject1

          public ProjectGroupSoapList getProjectGroupsForProject1(String sessionId,
                                                                  String projectId)
                                                           throws RemoteException

      Simulate a call to getProjectGroupsForProject1
      Specified by:
        `getProjectGroupsForProject1` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session id.
        `projectId` - project id
      Returns:
        list of projectgroups on which the user has access
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectGroupsForProject1(java.lang.String, java.lang.String)`

    - #### prepareDeleteProjectGroup

          public void prepareDeleteProjectGroup(String sessionId,
                                                String projectGroupId,
                                                boolean forceDeleteEvenIfMemberProjectFound)

      Prepare a simulated response to deleteProjectGroup
      See Also:
        `CollabNetSoap.deleteProjectGroup(java.lang.String, java.lang.String, boolean)`

    - #### prepareDeleteProjectGroup

          public void prepareDeleteProjectGroup(String sessionId,
                                                String projectGroupId,
                                                boolean forceDeleteEvenIfMemberProjectFound,
                                                Exception exception)

      Prepare a simulated response to deleteProjectGroup
      See Also:
        `CollabNetSoap.deleteProjectGroup(java.lang.String, java.lang.String, boolean)`

    - #### deleteProjectGroup

          public void deleteProjectGroup(String sessionId,
                                         String projectGroupId,
                                         boolean forceDeleteEvenIfMemberProjectFound)
                                  throws RemoteException

      Simulate a call to deleteProjectGroup
      Specified by:
        `deleteProjectGroup` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session key.
        `projectGroupId` - The id of the project group to be deleted
        `forceDeleteEvenIfMemberProjectFound` - delete the project group even if it has member project(s)
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - if we can't find the project group with the specified projectGroupId
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.ChildProjectsFoundFault` - if the project group has any member project(s)
        `RemoteException`
      See Also:
        `CollabNetSoap.deleteProjectGroup(java.lang.String, java.lang.String, boolean)`

    - #### prepareListUsersWithPermissionOnObject

          public void prepareListUsersWithPermissionOnObject(String sessionId,
                                                             String operationString,
                                                             String objectId,
                                                             int flag,
                                                             Object returnValue)

      Prepare a simulated response to listUsersWithPermissionOnObject
      See Also:
        `CollabNetSoap.listUsersWithPermissionOnObject(java.lang.String, java.lang.String, java.lang.String, int)`

    - #### listUsersWithPermissionOnObject

          public UserSoapList listUsersWithPermissionOnObject(String sessionId,
                                                              String operationString,
                                                              String objectId,
                                                              int flag)
                                                       throws RemoteException

      Simulate a call to listUsersWithPermissionOnObject
      Specified by:
        `listUsersWithPermissionOnObject` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - User session
        `operationString` - The string representation of the operation. This should be in the format <objectTypeName>.<operationCategory>.<operationName>. For a list of operation strings for various object types, see OperationConstants interface. For integrated application, this should be in the format PluggableLink.<id of the integrated app>.<permission name>.<permission name>.
        `objectId` - The object to check permission for the users with access; It can't be null
        `flag` - either WITHOUT_SUPERUSERS or WITH_SUPERUSERS or WITH_PROJECT_MEMBERS or WITH_ASSIGNED_GROUP_MEMBERS or WITHOUT_GROUP_MEMBERS
      Returns:
        List of Users who have the given permission on the given object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When the objectId is invalid or does not exist
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If the operationString is in an invalid format
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If user does not have project view permission
        `RemoteException`
      See Also:
        `CollabNetSoap.listUsersWithPermissionOnObject(java.lang.String, java.lang.String, java.lang.String, int)`

    - #### prepareGetSessionId

          public void prepareGetSessionId(String oneTimeToken,
                                          Object returnValue)

      Prepare a simulated response to getSessionId
      See Also:
        `CollabNetSoap.getSessionId(java.lang.String)`

    - #### getSessionId

          public String getSessionId(String oneTimeToken)
                              throws RemoteException

      Simulate a call to getSessionId
      Specified by:
        `getSessionId` in interface `ICollabNetSoap`
      Parameters:
        `oneTimeToken` - a one time token for login.
      Returns:
        Access token.
      Throws:
        `com.collabnet.ce.soap60.fault.LoginFault` - when the login information is incorrect.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getSessionId(java.lang.String)`

    - #### prepareGetSessionId

          public void prepareGetSessionId(String oneTimeToken,
                                          boolean invalidateToken,
                                          Object returnValue)

      Prepare a simulated response to getSessionId
      See Also:
        `CollabNetSoap.getSessionId(java.lang.String)`

    - #### getSessionId

          public String getSessionId(String oneTimeToken,
                                     boolean invalidateToken)
                              throws RemoteException

      Simulate a call to getSessionId
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getSessionId(java.lang.String)`

    - #### prepareGetJSessionId

          public void prepareGetJSessionId(String oneTimeToken,
                                           Object returnValue)

      Prepare a simulated response to getJSessionId
      See Also:
        `CollabNetSoap.getJSessionId(java.lang.String)`

    - #### getJSessionId

          public String getJSessionId(String oneTimeToken)
                               throws RemoteException

      Simulate a call to getJSessionId
      Specified by:
        `getJSessionId` in interface `ICollabNetSoap`
      Parameters:
        `oneTimeToken` - a one time token for login.
      Returns:
        User jsession Id.
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getJSessionId(java.lang.String)`

    - #### prepareGetJSessionId

          public void prepareGetJSessionId(String oneTimeToken,
                                           boolean invalidateToken,
                                           Object returnValue)

      Prepare a simulated response to getJSessionId
      See Also:
        `CollabNetSoap.getJSessionId(java.lang.String)`

    - #### getJSessionId

          public String getJSessionId(String oneTimeToken,
                                      boolean invalidateToken)
                               throws RemoteException

      Simulate a call to getJSessionId
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getJSessionId(java.lang.String)`

    - #### prepareGetWebAndSoapSessionId

          public void prepareGetWebAndSoapSessionId(String oneTimeToken,
                                                    Object returnValue)

      Prepare a simulated response to getWebAndSoapSessionId
      See Also:
        `CollabNetSoap.getWebAndSoapSessionId(java.lang.String)`

    - #### getWebAndSoapSessionId

          public String getWebAndSoapSessionId(String oneTimeToken)
                                        throws RemoteException

      Simulate a call to getWebAndSoapSessionId
      Specified by:
        `getWebAndSoapSessionId` in interface `ICollabNetSoap`
      Parameters:
        `oneTimeToken` - a one time token for login.
      Returns:
        a string containing the web and soap session id's separated by &
      Throws:
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.LoginFault` - when the login information is incorrect
        `RemoteException`
      See Also:
        `CollabNetSoap.getWebAndSoapSessionId(java.lang.String)`

    - #### prepareGetBroadCastMessage

          public void prepareGetBroadCastMessage(String sessionId,
                                                 Object returnValue)

      Prepare a simulated response to getBroadCastMessage
      See Also:
        `CollabNetSoap.getBroadCastMessage(java.lang.String)`

    - #### getBroadCastMessage

          public String getBroadCastMessage(String sessionId)
                                     throws RemoteException

      Simulate a call to getBroadCastMessage
      Specified by:
        `getBroadCastMessage` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the session id.
      Returns:
        current broadcast message
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when fault occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getBroadCastMessage(java.lang.String)`

    - #### prepareGetJSessionBySoapId

          public void prepareGetJSessionBySoapId(String soapId,
                                                 Object returnValue)

      Prepare a simulated response to getJSessionBySoapId
      See Also:
        `CollabNetSoap.getJSessionBySoapId(java.lang.String)`

    - #### getJSessionBySoapId

          public String getJSessionBySoapId(String soapId)
                                     throws RemoteException

      Simulate a call to getJSessionBySoapId
      Specified by:
        `getJSessionBySoapId` in interface `ICollabNetSoap`
      Parameters:
        `soapId` - webservice soap id
      Returns:
        String jsession id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when fault occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getJSessionBySoapId(java.lang.String)`

    - #### prepareGetUserSessionBySoapId

          public void prepareGetUserSessionBySoapId(String soapId,
                                                    Object returnValue)

      Prepare a simulated response to getUserSessionBySoapId
      See Also:
        `CollabNetSoap.getUserSessionBySoapId(java.lang.String)`

    - #### getUserSessionBySoapId

          public String getUserSessionBySoapId(String soapId)
                                        throws RemoteException

      Simulate a call to getUserSessionBySoapId
      Specified by:
        `getUserSessionBySoapId` in interface `ICollabNetSoap`
      Parameters:
        `soapId` - webservice soap id
      Returns:
        the access token
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when fault occurs.
        `RemoteException`
      See Also:
        `CollabNetSoap.getUserSessionBySoapId(java.lang.String)`

    - #### prepareCreateSiteWideLinkedApp

          public void prepareCreateSiteWideLinkedApp(String sessionId,
                                                     String title,
                                                     String applicationUrl,
                                                     String applicationType,
                                                     boolean singleSignon,
                                                     Object returnValue)

      Prepare a simulated response to createSiteWideLinkedApp
      See Also:
        `CollabNetSoap.createSiteWideLinkedApp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### createSiteWideLinkedApp

          public String createSiteWideLinkedApp(String sessionId,
                                                String title,
                                                String applicationUrl,
                                                String applicationType,
                                                boolean singleSignon)
                                         throws RemoteException

      Simulate a call to createSiteWideLinkedApp
      Specified by:
        `createSiteWideLinkedApp` in interface `ICollabNetSoap`
        `title` - A name for the linked application, which appears on the link
        `applicationUrl` - the location url of the linked application
        `applicationType` - determines how the linked app should appear The following are the valid options: 'same' - To open the linked app in same window and it takes over the entire browser window. 'new' - To open the linked app in a new window 'iframe' - To open the linked app in a box in the same window framed by Collabnet's header
        `singleSignon` - Whether single signon should be enabled. When its enabled the authentication is managed through CollabnetTeamForge authentication system. Users are not required to log into linked app after they have logged into TeamForge. When single sign on is not enabled users will be required to log in to the linked application using its native authentication system. Only site admin users can enable this. When non site admin users attempt to enable this, it will be set to false as default.
      Returns:
        A linked application id representing the newly created application
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - When Session is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - When an attempt to retrieve the created linked app results in error
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - If any arguments is of invalid format
        `com.collabnet.ce.soap60.fault.SystemFault` - Any other exceptions, such as object already exists
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - If user does not have site admin permission
        `RemoteException`
      See Also:
        `CollabNetSoap.createSiteWideLinkedApp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareCreateProjectLinkedApp

          public void prepareCreateProjectLinkedApp(String sessionId,
                                                    String projectId,
                                                    String title,
                                                    String applicationUrl,
                                                    String iconKey,
                                                    String iconFileName,
                                                    String iconMimeType,
                                                    boolean singleSignon,
                                                    Object returnValue)

      Prepare a simulated response to createProjectLinkedApp
      See Also:
        `CollabNetSoap.createProjectLinkedApp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### createProjectLinkedApp

          public String createProjectLinkedApp(String sessionId,
                                               String projectId,
                                               String title,
                                               String applicationUrl,
                                               String iconKey,
                                               String iconFileName,
                                               String iconMimeType,
                                               boolean singleSignon)
                                        throws RemoteException

      Simulate a call to createProjectLinkedApp
      Specified by:
        `createProjectLinkedApp` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
        `projectId` - id of the given project
        `title` - name for the linked application, which appears on the link
        `applicationUrl` - the URL of the linked application
        `iconKey` - the key of the icon (e.g. guid9baa2613b27278f720000c58). This key can be obtained from SimpleFileStorageApp SOAP that is used to upload the icon.
        `iconFileName` - the file name of the icon (e.g. "iconFile.jpg")
        `iconMimeType` - the mime type of the icon (e.g. "image/jpg") Supported formats are: JPG, GIF and PNG.
        `singleSignon` - indicates whether single signon should be enabled.
      Returns:
        A linked application id representing the newly created application
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - whem sesion is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when an attempt to retrieve the created linked app results in error
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if any argument is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have admin permission
        `com.collabnet.ce.soap60.fault.SystemFault` - any other exception
        `RemoteException`
      See Also:
        `CollabNetSoap.createProjectLinkedApp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean)`

    - #### prepareCreateProjectLinkedApp2

          public void prepareCreateProjectLinkedApp2(String sessionId,
                                                     String projectId,
                                                     String title,
                                                     String applicationUrl,
                                                     String iconKey,
                                                     String iconFileName,
                                                     String iconMimeType,
                                                     boolean singleSignon,
                                                     String toolId,
                                                     Object returnValue)

      Prepare a simulated response to createProjectLinkedApp2
      See Also:
        `CollabNetSoap.createProjectLinkedApp2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String)`

    - #### createProjectLinkedApp2

          public String createProjectLinkedApp2(String sessionId,
                                                String projectId,
                                                String title,
                                                String applicationUrl,
                                                String iconKey,
                                                String iconFileName,
                                                String iconMimeType,
                                                boolean singleSignon,
                                                String toolId)
                                         throws RemoteException

      Simulate a call to createProjectLinkedApp2
      Specified by:
        `createProjectLinkedApp2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
        `projectId` - id of the given project
        `title` - name for the linked application, which appears on the link
        `applicationUrl` - the URL of the linked application
        `iconKey` - the key of the icon (e.g. guid9baa2613b27278f720000c58). This key can be obtained from SimpleFileStorageApp SOAP that is used to upload the icon.
        `iconFileName` - the file name of the icon (e.g. "iconFile.jpg")
        `iconMimeType` - the mime type of the icon (e.g. "image/jpg") Supported formats are: JPG, GIF and PNG.
        `singleSignon` - indicates whether single signon should be enabled.
        `toolId` - the id of tool in orchestrate
      Returns:
        A linked application id representing the newly created application
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - whem sesion is invalid
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when an attempt to retrieve the created linked app results in error
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if any argument is invalid
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - if the user does not have admin permission
        `com.collabnet.ce.soap60.fault.SystemFault` - any other exception
        `RemoteException`
      See Also:
        `CollabNetSoap.createProjectLinkedApp2(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String)`

    - #### prepareCreateLinkedApp

          public void prepareCreateLinkedApp(String sessionId,
                                             String projectId,
                                             String title,
                                             String applicationUrl,
                                             String iconKey,
                                             String iconFileName,
                                             String iconMimeType,
                                             boolean singleSignon,
                                             String applicationType,
                                             String toolId,
                                             Object returnValue)

      Prepare a simulated response to createLinkedApp
      See Also:
        `CollabNetSoap.createLinkedApp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String)`

    - #### createLinkedApp

          public String createLinkedApp(String sessionId,
                                        String projectId,
                                        String title,
                                        String applicationUrl,
                                        String iconKey,
                                        String iconFileName,
                                        String iconMimeType,
                                        boolean singleSignon,
                                        String applicationType,
                                        String toolId)
                                 throws RemoteException

      Simulate a call to createLinkedApp
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.createLinkedApp(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean, java.lang.String, java.lang.String)`

    - #### prepareShouldEnableSSO

          public void prepareShouldEnableSSO(boolean singleSignon,
                                             String loggedInUser,
                                             Object returnValue)

      Prepare a simulated response to shouldEnableSSO
      See Also:
        `CollabNetSoap.shouldEnableSSO(boolean, java.lang.String)`

    - #### shouldEnableSSO

          public boolean shouldEnableSSO(boolean singleSignon,
                                         String loggedInUser)
                                  throws RemoteException

      Simulate a call to shouldEnableSSO
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.shouldEnableSSO(boolean, java.lang.String)`

    - #### prepareGetLinkedApplicationData

          public void prepareGetLinkedApplicationData(String sessionId,
                                                      String linkedAppId,
                                                      Object returnValue)

      Prepare a simulated response to getLinkedApplicationData
      See Also:
        `CollabNetSoap.getLinkedApplicationData(java.lang.String, java.lang.String)`

    - #### getLinkedApplicationData

          public LinkedApplicationSoapDO getLinkedApplicationData(String sessionId,
                                                                  String linkedAppId)
                                                           throws RemoteException

      Simulate a call to getLinkedApplicationData
      Specified by:
        `getLinkedApplicationData` in interface `ICollabNetSoap`
      Returns:
        Linked Application Soap Data
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getLinkedApplicationData(java.lang.String, java.lang.String)`

    - #### prepareGetLinkedApplicationData2

          public void prepareGetLinkedApplicationData2(String sessionId,
                                                       String linkedAppId,
                                                       Object returnValue)

      Prepare a simulated response to getLinkedApplicationData2
      See Also:
        `CollabNetSoap.getLinkedApplicationData2(java.lang.String, java.lang.String)`

    - #### getLinkedApplicationData2

          public LinkedApplication2SoapDO getLinkedApplicationData2(String sessionId,
                                                                    String linkedAppId)
                                                             throws RemoteException

      Simulate a call to getLinkedApplicationData2
      Specified by:
        `getLinkedApplicationData2` in interface `ICollabNetSoap`
      Returns:
        Linked Application2 Soap Data
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getLinkedApplicationData2(java.lang.String, java.lang.String)`

    - #### prepareGetProjectIdForLinkedApp

          public void prepareGetProjectIdForLinkedApp(String projectId,
                                                      String loggedInUser,
                                                      Object returnValue)

      Prepare a simulated response to getProjectIdForLinkedApp
      See Also:
        `CollabNetSoap.getProjectIdForLinkedApp(java.lang.String, java.lang.String)`

    - #### getProjectIdForLinkedApp

          public String getProjectIdForLinkedApp(String projectId,
                                                 String loggedInUser)
                                          throws RemoteException

      Simulate a call to getProjectIdForLinkedApp
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getProjectIdForLinkedApp(java.lang.String, java.lang.String)`

    - #### prepareSetLinkedApplicationData

          public void prepareSetLinkedApplicationData(String sessionId,
                                                      LinkedApplicationSoapDO linkedApplicationSoapDO,
                                                      String iconKey,
                                                      String iconFileName,
                                                      String iconMimeType)

      Prepare a simulated response to setLinkedApplicationData
      See Also:
        `CollabNetSoap.setLinkedApplicationData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.LinkedApplicationSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetLinkedApplicationData

          public void prepareSetLinkedApplicationData(String sessionId,
                                                      LinkedApplicationSoapDO linkedApplicationSoapDO,
                                                      String iconKey,
                                                      String iconFileName,
                                                      String iconMimeType,
                                                      Exception exception)

      Prepare a simulated response to setLinkedApplicationData
      See Also:
        `CollabNetSoap.setLinkedApplicationData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.LinkedApplicationSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### setLinkedApplicationData

          public void setLinkedApplicationData(String sessionId,
                                               LinkedApplicationSoapDO linkedApplicationSoapDO,
                                               String iconKey,
                                               String iconFileName,
                                               String iconMimeType)
                                        throws RemoteException

      Simulate a call to setLinkedApplicationData
      Specified by:
        `setLinkedApplicationData` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
        `linkedApplicationSoapDO` - the linkedApplication Data Object
        `iconKey` - the key of the icon (e.g. guid9baa2613b27278f720000c58)
        `iconFileName` - the file name of the icon (e.g. "iconFile.jpg")
        `iconMimeType` - the mime type of the icon (e.g. "image/jpg") Supported formats are: JPG, GIF and PNG.
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.setLinkedApplicationData(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.LinkedApplicationSoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetLinkedApplicationData2

          public void prepareSetLinkedApplicationData2(String sessionId,
                                                       LinkedApplication2SoapDO linkedApplication2SoapDO,
                                                       String iconKey,
                                                       String iconFileName,
                                                       String iconMimeType)

      Prepare a simulated response to setLinkedApplicationData2
      See Also:
        `CollabNetSoap.setLinkedApplicationData2(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.LinkedApplication2SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareSetLinkedApplicationData2

          public void prepareSetLinkedApplicationData2(String sessionId,
                                                       LinkedApplication2SoapDO linkedApplication2SoapDO,
                                                       String iconKey,
                                                       String iconFileName,
                                                       String iconMimeType,
                                                       Exception exception)

      Prepare a simulated response to setLinkedApplicationData2
      See Also:
        `CollabNetSoap.setLinkedApplicationData2(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.LinkedApplication2SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### setLinkedApplicationData2

          public void setLinkedApplicationData2(String sessionId,
                                                LinkedApplication2SoapDO linkedApplication2SoapDO,
                                                String iconKey,
                                                String iconFileName,
                                                String iconMimeType)
                                         throws RemoteException

      Simulate a call to setLinkedApplicationData2
      Specified by:
        `setLinkedApplicationData2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
        `linkedApplication2SoapDO` - the linkedApplication Data Object
        `iconKey` - the key of the icon (e.g. guid9baa2613b27278f720000c58)
        `iconFileName` - the file name of the icon (e.g. "iconFile.jpg")
        `iconMimeType` - the mime type of the icon (e.g. "image/jpg") Supported formats are: JPG, GIF and PNG.
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.setLinkedApplicationData2(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.LinkedApplication2SoapDO, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareUpdateLinkedAppData

          public void prepareUpdateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentData,
                                                 com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newData,
                                                 String loggedInUser)

      Prepare a simulated response to updateLinkedAppData
      See Also:
        `CollabNetSoap.updateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, java.lang.String)`

    - #### prepareUpdateLinkedAppData

          public void prepareUpdateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentData,
                                                 com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newData,
                                                 String loggedInUser,
                                                 Exception exception)

      Prepare a simulated response to updateLinkedAppData
      See Also:
        `CollabNetSoap.updateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, java.lang.String)`

    - #### updateLinkedAppData

          public void updateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentData,
                                          com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newData,
                                          String loggedInUser)
                                   throws RemoteException

      Simulate a call to updateLinkedAppData
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.updateLinkedAppData(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, java.lang.String)`

    - #### prepareValidateToolType

          public void prepareValidateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentDO,
                                              com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newDO)

      Prepare a simulated response to validateToolType
      See Also:
        `CollabNetSoap.validateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO)`

    - #### prepareValidateToolType

          public void prepareValidateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentDO,
                                              com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newDO,
                                              Exception exception)

      Prepare a simulated response to validateToolType
      See Also:
        `CollabNetSoap.validateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO)`

    - #### validateToolType

          public void validateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO currentDO,
                                       com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO newDO)
                                throws RemoteException

      Simulate a call to validateToolType
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.validateToolType(com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO, com.vasoftware.sf.server.services.linkedapplication.LinkedApplicationDO)`

    - #### prepareUpdateIconRequired

          public void prepareUpdateIconRequired(com.vasoftware.sf.server.types.StoredFileKey currentIconKey,
                                                String iconKey,
                                                Object returnValue)

      Prepare a simulated response to updateIconRequired
      See Also:
        `CollabNetSoap.updateIconRequired(com.vasoftware.sf.server.types.StoredFileKey, java.lang.String)`

    - #### updateIconRequired

          public boolean updateIconRequired(com.vasoftware.sf.server.types.StoredFileKey currentIconKey,
                                            String iconKey)
                                     throws RemoteException

      Simulate a call to updateIconRequired
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.updateIconRequired(com.vasoftware.sf.server.types.StoredFileKey, java.lang.String)`

    - #### prepareGetIconFile

          public void prepareGetIconFile(String iconKey,
                                         String iconFileName,
                                         String iconMimeType,
                                         String loggedInUser,
                                         Object returnValue)

      Prepare a simulated response to getIconFile
      See Also:
        `CollabNetSoap.getIconFile(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### getIconFile

          public com.vasoftware.sf.server.services.filestorage.StoredFileDO getIconFile(String iconKey,
                                                                                        String iconFileName,
                                                                                        String iconMimeType,
                                                                                        String loggedInUser)
                                                                                 throws RemoteException

      Simulate a call to getIconFile
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getIconFile(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareDeleteLinkedApp

          public void prepareDeleteLinkedApp(String sessionId,
                                             String linkedAppId)

      Prepare a simulated response to deleteLinkedApp
      See Also:
        `CollabNetSoap.deleteLinkedApp(java.lang.String, java.lang.String)`

    - #### prepareDeleteLinkedApp

          public void prepareDeleteLinkedApp(String sessionId,
                                             String linkedAppId,
                                             Exception exception)

      Prepare a simulated response to deleteLinkedApp
      See Also:
        `CollabNetSoap.deleteLinkedApp(java.lang.String, java.lang.String)`

    - #### deleteLinkedApp

          public void deleteLinkedApp(String sessionId,
                                      String linkedAppId)
                               throws RemoteException

      Simulate a call to deleteLinkedApp
      Specified by:
        `deleteLinkedApp` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - the session id
        `linkedAppId` - - LinkedApplication Id which is requested to be deleted
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault`
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault`
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault`
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault`
        `com.collabnet.ce.soap60.fault.SystemFault`
        `RemoteException`
      See Also:
        `CollabNetSoap.deleteLinkedApp(java.lang.String, java.lang.String)`

    - #### prepareListSiteWideLinkedApps

          public void prepareListSiteWideLinkedApps(String sessionId,
                                                    Object returnValue)

      Prepare a simulated response to listSiteWideLinkedApps
      See Also:
        `CollabNetSoap.listSiteWideLinkedApps(java.lang.String)`

    - #### listSiteWideLinkedApps

          public LinkedApplicationSoapList listSiteWideLinkedApps(String sessionId)
                                                           throws RemoteException

      Simulate a call to listSiteWideLinkedApps
      Specified by:
        `listSiteWideLinkedApps` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
      Returns:
        LinkedApplicationSoapList
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.listSiteWideLinkedApps(java.lang.String)`

    - #### prepareListProjectLinkedApps

          public void prepareListProjectLinkedApps(String sessionId,
                                                   String projectId,
                                                   Object returnValue)

      Prepare a simulated response to listProjectLinkedApps
      See Also:
        `CollabNetSoap.listProjectLinkedApps(java.lang.String, java.lang.String)`

    - #### listProjectLinkedApps

          public LinkedApplicationSoapList listProjectLinkedApps(String sessionId,
                                                                 String projectId)
                                                          throws RemoteException

      Simulate a call to listProjectLinkedApps
      Specified by:
        `listProjectLinkedApps` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
        `projectId` - id of the given project
      Returns:
        LinkedapplicationSoapList
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.listProjectLinkedApps(java.lang.String, java.lang.String)`

    - #### prepareListProjectLinkedApps2

          public void prepareListProjectLinkedApps2(String sessionId,
                                                    String projectId,
                                                    Object returnValue)

      Prepare a simulated response to listProjectLinkedApps2
      See Also:
        `CollabNetSoap.listProjectLinkedApps2(java.lang.String, java.lang.String)`

    - #### listProjectLinkedApps2

          public LinkedApplication2SoapList listProjectLinkedApps2(String sessionId,
                                                                   String projectId)
                                                            throws RemoteException

      Simulate a call to listProjectLinkedApps2
      Specified by:
        `listProjectLinkedApps2` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - user session
        `projectId` - id of the given project
      Returns:
        LinkedapplicationSoapList
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.listProjectLinkedApps2(java.lang.String, java.lang.String)`

    - #### prepareListLinkedApps

          public void prepareListLinkedApps(String sessionId,
                                            String projectId,
                                            Object returnValue)

      Prepare a simulated response to listLinkedApps
      See Also:
        `CollabNetSoap.listLinkedApps(java.lang.String, java.lang.String)`

    - #### listLinkedApps

          public LinkedApplicationSoapList listLinkedApps(String sessionId,
                                                          String projectId)
                                                   throws RemoteException

      Simulate a call to listLinkedApps
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.listLinkedApps(java.lang.String, java.lang.String)`

    - #### prepareListLinkedApps2

          public void prepareListLinkedApps2(String sessionId,
                                             String projectId,
                                             Object returnValue)

      Prepare a simulated response to listLinkedApps2
      See Also:
        `CollabNetSoap.listLinkedApps2(java.lang.String, java.lang.String)`

    - #### listLinkedApps2

          public LinkedApplication2SoapList listLinkedApps2(String sessionId,
                                                            String projectId)
                                                     throws RemoteException

      Simulate a call to listLinkedApps2
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.listLinkedApps2(java.lang.String, java.lang.String)`

    - #### prepareGetRbacOperation

          public void prepareGetRbacOperation(com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation operation,
                                              boolean isSiteWide,
                                              Object returnValue)

      Prepare a simulated response to getRbacOperation
      See Also:
        `CollabNetSoap.getRbacOperation(com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation, boolean)`

    - #### getRbacOperation

          public com.vasoftware.sf.common.access.rbac.Operation getRbacOperation(com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation operation,
                                                                                 boolean isSiteWide)
                                                                          throws RemoteException

      Simulate a call to getRbacOperation
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.getRbacOperation(com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation, boolean)`

    - #### prepareVerifyLinkedAppPermission

          public void prepareVerifyLinkedAppPermission(String projectId,
                                                       com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation linkedAppOperation,
                                                       String loggedInUser)

      Prepare a simulated response to verifyLinkedAppPermission
      See Also:
        `CollabNetSoap.verifyLinkedAppPermission(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation, java.lang.String)`

    - #### prepareVerifyLinkedAppPermission

          public void prepareVerifyLinkedAppPermission(String projectId,
                                                       com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation linkedAppOperation,
                                                       String loggedInUser,
                                                       Exception exception)

      Prepare a simulated response to verifyLinkedAppPermission
      See Also:
        `CollabNetSoap.verifyLinkedAppPermission(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation, java.lang.String)`

    - #### verifyLinkedAppPermission

          public void verifyLinkedAppPermission(String projectId,
                                                com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation linkedAppOperation,
                                                String loggedInUser)
                                         throws RemoteException

      Simulate a call to verifyLinkedAppPermission
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.verifyLinkedAppPermission(java.lang.String, com.collabnet.ce.soap60.webservices.cemain.CollabNetSoap.LinkedAppOperation, java.lang.String)`

    - #### prepareValidateLinkedAppData

          public void prepareValidateLinkedAppData(String title,
                                                   String applicationUrl,
                                                   String applicationType)

      Prepare a simulated response to validateLinkedAppData
      See Also:
        `CollabNetSoap.validateLinkedAppData(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareValidateLinkedAppData

          public void prepareValidateLinkedAppData(String title,
                                                   String applicationUrl,
                                                   String applicationType,
                                                   Exception exception)

      Prepare a simulated response to validateLinkedAppData
      See Also:
        `CollabNetSoap.validateLinkedAppData(java.lang.String, java.lang.String, java.lang.String)`

    - #### validateLinkedAppData

          public void validateLinkedAppData(String title,
                                            String applicationUrl,
                                            String applicationType)
                                     throws RemoteException

      Simulate a call to validateLinkedAppData
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.validateLinkedAppData(java.lang.String, java.lang.String, java.lang.String)`

    - #### prepareIsSoapRedirectPostOnlyMode

          public void prepareIsSoapRedirectPostOnlyMode(String sessionId,
                                                        Object returnValue)

      Prepare a simulated response to isSoapRedirectPostOnlyMode
      See Also:
        `CollabNetSoap.isSoapRedirectPostOnlyMode(java.lang.String)`

    - #### isSoapRedirectPostOnlyMode

          public boolean isSoapRedirectPostOnlyMode(String sessionId)
                                             throws RemoteException

      Simulate a call to isSoapRedirectPostOnlyMode
      Specified by:
        `isSoapRedirectPostOnlyMode` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - Session id.
      Returns:
        true if Teamforge is running in SoapRedirect Post-Only Mode.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the user session ID is invalid or timed out.
        `RemoteException`
      See Also:
        `CollabNetSoap.isSoapRedirectPostOnlyMode(java.lang.String)`

    - #### prepareGetOneTimeToken

          public void prepareGetOneTimeToken(String sessionId,
                                             Object returnValue)

      Prepare a simulated response to getOneTimeToken
      See Also:
        `CollabNetSoap.getOneTimeToken(java.lang.String)`

    - #### getOneTimeToken

          public String getOneTimeToken(String sessionId)
                                 throws RemoteException

      Simulate a call to getOneTimeToken
      Specified by:
        `getOneTimeToken` in interface `ICollabNetSoap`
      Parameters:
        `sessionId` - Session id.
      Returns:
        one time token.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the user session ID is invalid or timed out.
        `RemoteException`
      See Also:
        `CollabNetSoap.getOneTimeToken(java.lang.String)`

    - #### prepareSetPartialOrFullUserData

          public void prepareSetPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO userData,
                                                      UserSoapDO userSoapDO,
                                                      String loggedInUser)

      Prepare a simulated response to setPartialOrFullUserData
      See Also:
        `CollabNetSoap.setPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO, com.collabnet.ce.soap60.webservices.cemain.UserSoapDO, java.lang.String)`

    - #### prepareSetPartialOrFullUserData

          public void prepareSetPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO userData,
                                                      UserSoapDO userSoapDO,
                                                      String loggedInUser,
                                                      Exception exception)

      Prepare a simulated response to setPartialOrFullUserData
      See Also:
        `CollabNetSoap.setPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO, com.collabnet.ce.soap60.webservices.cemain.UserSoapDO, java.lang.String)`

    - #### setPartialOrFullUserData

          public void setPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO userData,
                                               UserSoapDO userSoapDO,
                                               String loggedInUser)
                                        throws RemoteException

      Simulate a call to setPartialOrFullUserData
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.setPartialOrFullUserData(com.vasoftware.sf.server.services.user.UserDO, com.collabnet.ce.soap60.webservices.cemain.UserSoapDO, java.lang.String)`

    - #### prepareSetPartialOrFullUserData2

          public void prepareSetPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO userData,
                                                       User2SoapDO userSoapDO,
                                                       String loggedInUser)

      Prepare a simulated response to setPartialOrFullUserData2
      See Also:
        `CollabNetSoap.setPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO, com.collabnet.ce.soap60.webservices.cemain.User2SoapDO, java.lang.String)`

    - #### prepareSetPartialOrFullUserData2

          public void prepareSetPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO userData,
                                                       User2SoapDO userSoapDO,
                                                       String loggedInUser,
                                                       Exception exception)

      Prepare a simulated response to setPartialOrFullUserData2
      See Also:
        `CollabNetSoap.setPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO, com.collabnet.ce.soap60.webservices.cemain.User2SoapDO, java.lang.String)`

    - #### setPartialOrFullUserData2

          public void setPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO userData,
                                                User2SoapDO userSoapDO,
                                                String loggedInUser)
                                         throws RemoteException

      Simulate a call to setPartialOrFullUserData2
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.setPartialOrFullUserData2(com.vasoftware.sf.server.services.user.UserDO, com.collabnet.ce.soap60.webservices.cemain.User2SoapDO, java.lang.String)`

    - #### prepareCanGiveFullUserDetails

          public void prepareCanGiveFullUserDetails(com.vasoftware.sf.server.services.user.UserDO viewedUserDO,
                                                    String loggedInUser,
                                                    Object returnValue)

      Prepare a simulated response to canGiveFullUserDetails
      See Also:
        `CollabNetSoap.canGiveFullUserDetails(com.vasoftware.sf.server.services.user.UserDO, java.lang.String)`

    - #### canGiveFullUserDetails

          public boolean canGiveFullUserDetails(com.vasoftware.sf.server.services.user.UserDO viewedUserDO,
                                                String loggedInUser)
                                         throws RemoteException

      Simulate a call to canGiveFullUserDetails
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.canGiveFullUserDetails(com.vasoftware.sf.server.services.user.UserDO, java.lang.String)`

    - #### prepareCheckUserActiveStatus

          public void prepareCheckUserActiveStatus(String userName,
                                                   String loggedInUser)

      Prepare a simulated response to checkUserActiveStatus
      See Also:
        `CollabNetSoap.checkUserActiveStatus(java.lang.String, java.lang.String)`

    - #### prepareCheckUserActiveStatus

          public void prepareCheckUserActiveStatus(String userName,
                                                   String loggedInUser,
                                                   Exception exception)

      Prepare a simulated response to checkUserActiveStatus
      See Also:
        `CollabNetSoap.checkUserActiveStatus(java.lang.String, java.lang.String)`

    - #### checkUserActiveStatus

          public void checkUserActiveStatus(String userName,
                                            String loggedInUser)
                                     throws RemoteException

      Simulate a call to checkUserActiveStatus
      Throws:
        `RemoteException`
      See Also:
        `CollabNetSoap.checkUserActiveStatus(java.lang.String, java.lang.String)`

Copyright © 2019 CollabNet. All rights reserved.